#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_755()
{
    // event 415_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) >= (17))) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_415_5_end;
        enemydown_182_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemydown_182_instances)) goto event_415_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(24);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemydown_182_instances, it.current_index));
            if (parent == NULL) goto pos_end_415_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 1);
            pos_end_415_5_0: ;
        }
    }
    event_415_5_end: ;
}
void Frames::event_func_756()
{
    // event 416_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) >= (17))) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_416_5_end;
        enemyleft_183_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemyleft_183_instances)) goto event_416_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemyleft_183_instances, it.current_index));
            if (parent == NULL) goto pos_end_416_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + -1, parent->get_y() + 0);
            pos_end_416_5_0: ;
        }
    }
    event_416_5_end: ;
}
void Frames::event_func_757()
{
    // event 417_5
    {
        // group: Enemy Movers
        enemypath_177_instances.clear_selection();
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) >= (17))) { it.deselect(); continue; }
        }
        if (!enemypath_177_instances.has_selection()) goto event_417_5_end;
        enemyright_181_instances.clear_selection();
        if (!check_overlap(enemypath_177_instances, enemyright_181_instances)) goto event_417_5_end;
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(6, 0); // 'enemy-path'
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-path'
        }
        for (ObjectIterator it(enemypath_177_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(enemyright_181_instances, it.current_index));
            if (parent == NULL) goto pos_end_417_5_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 1, parent->get_y() + 0);
            pos_end_417_5_0: ;
        }
    }
    event_417_5_end: ;
}
void Frames::event_func_758()
{
    // event 419_5
    {
        // group: Enemy Movers
        every_419_5_0 += manager.dt;
        if (every_419_5_0 < 4.0) goto event_419_5_end;
        every_419_5_0 -= 4.0;
        FrameObject * single_instance_419_5_1; single_instance_419_5_1 = NULL;
        // select single: true false false
        objspawnergear_311_instances.clear_selection();
        for (ObjectIterator p_it(objspawnergear_311_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemypath_177(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_419_5_1 == NULL)
                    single_instance_419_5_1 = new_obj;
            }
        }
    }
    event_419_5_end: ;
}
void Frames::event_func_759()
{
    // event 423_5
    {
        // group: Shooter
        enemyflashbullet_190_instances.clear_selection();
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->set_angle(((Active*)*it)->get_direction()*11.25, 0);
        }
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->set_angle(atan2_deg(((Active*)get_instance(player_115_instances))->get_x()-((Active*)*it)->get_x(), ((Active*)get_instance(player_115_instances))->get_y()-((Active*)*it)->get_y())-90, 0);
        }
    }
    event_423_5_end: ;
}
void Frames::event_func_760()
{
    // event 424_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) >= (180))) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_424_5_end;
        screen_170_instances.clear_selection();
        if (!check_overlap(enemycannon_189_instances, screen_170_instances)) goto event_424_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_424_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 30); // 'enemy-cannon'
        }
        media.set_sample_volume(SOUND_BEWAAACHI_44, 0.35*global_values->get(12));
        media.play_id(SOUND_BEWAAACHI_44, -1, 1);
        media.set_sample_volume(SOUND_BEWAAACHI_44, 0.35*global_values->get(12));
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 0); // 'enemy-cannon'
        }
    }
    event_424_5_end: ;
}
void Frames::event_func_761()
{
    // event 425_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_425_5_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, 1.0);
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 99999); // 'enemy-cannon'
        }
        FrameObject * single_instance_425_5_0; single_instance_425_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemycannon_189_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyflashbullet_190(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_425_5_0 == NULL)
                    single_instance_425_5_0 = new_obj;
            }
        }
    }
    event_425_5_end: ;
}
void Frames::event_func_762()
{
    // event 426_5
    {
        // group: Shooter
        enemyflashbullet_190_instances.clear_selection();
        enemycannon_189_instances.clear_selection();
        if (!check_overlap(enemyflashbullet_190_instances, enemycannon_189_instances)) goto event_426_5_end;
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) <= (4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(4)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyflashbullet_190_instances.has_selection()) goto event_426_5_end;
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(((Active*)get_single(enemycannon_189_instances, it.current_index, default_active_instance))->get_direction());
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
            ((Active*)*it)->alterables->values.set(4, 1); // 'enemy-flashbullet'
        }
    }
    event_426_5_end: ;
}
void Frames::event_func_763()
{
    // event 427_5
    {
        // group: Shooter
        enemyflashbullet_190_instances.clear_selection();
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'enemy-flashbullet'
        }
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'enemy-cannon'
        }
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-flashbullet'
        }
    }
    event_427_5_end: ;
}
void Frames::event_func_764()
{
    // event 428_5
    {
        // group: Shooter
        enemyflashbullet_190_instances.clear_selection();
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (40))) { it.deselect(); continue; }
        }
        if (!enemyflashbullet_190_instances.has_selection()) goto event_428_5_end;
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+1);
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-flashbullet'
        }
        {
            ObjectIterator other_it(enemyflashbullet_190_instances);
            enemycannon_189_instances.clear_selection();
            for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
                if (other_it.end()) goto action_428_5_0_end;
                ((Active*)*it)->move_front(*other_it);
                ++other_it;
            }
        }
        action_428_5_0_end: ;
    }
    event_428_5_end: ;
}
void Frames::event_func_765()
{
    // event 432_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_432_5_end;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemycannon_189_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemycannon_189_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 14); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 14); // 'camera shaker'
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_432_5_0; single_instance_432_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemycannon_189_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyexplosion_200(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_432_5_0 == NULL)
                    single_instance_432_5_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_432_5_end: ;
}
void Frames::event_func_766()
{
    // event 433_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        enemycannonroot_309_instances.clear_selection();
        if (!check_overlap(enemycannon_189_instances, enemycannonroot_309_instances)) goto event_433_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (0))) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_433_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 1); // 'enemy-cannon'
        }
    }
    event_433_5_end: ;
}
void Frames::event_func_767()
{
    // event 434_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        if (!check_not_overlap(enemycannon_189_instances, enemycannonroot_309_instances)) goto event_434_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_434_5_end: ;
}
void Frames::event_func_768()
{
    // event 436_5
    {
        // group: Shooter
        enemycannonroot_309_instances.clear_selection();
        for (ObjectIterator it(enemycannonroot_309_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemycannonroot_309_instances.has_selection()) goto event_436_5_end;
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemycannonroot_309_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemycannonroot_309_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 14); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 14); // 'camera shaker'
        for (ObjectIterator it(enemycannonroot_309_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_436_5_0; single_instance_436_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemycannonroot_309_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_objgarbagedestroyer_302(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_436_5_0 == NULL)
                    single_instance_436_5_0 = new_obj;
            }
        }
        FrameObject * single_instance_436_5_1; single_instance_436_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemycannonroot_309_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_436_5_1 == NULL)
                    single_instance_436_5_1 = new_obj;
            }
        }
    }
    event_436_5_end: ;
}
void Frames::event_func_769()
{
    // event 442_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_442_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'enemy-cannon'
        }
    }
    event_442_5_end: ;
}
void Frames::event_func_770()
{
    // event 443_5
    {
        // group: Shooter
        enemyflashbullet_190_instances.clear_selection();
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) < (1))) { it.deselect(); continue; }
        }
        if (!enemyflashbullet_190_instances.has_selection()) goto event_443_5_end;
        if (!check_not_overlap(enemyflashbullet_190_instances, screen_170_instances)) goto event_443_5_end;
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_443_5_end: ;
}
void Frames::event_func_771()
{
    // event 444_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_444_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_444_5_end: ;
}
void Frames::event_func_772()
{
    // event 445_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_445_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_445_5_end: ;
}
void Frames::event_func_773()
{
    // event 446_5
    {
        // group: Shooter
        enemycannonroot_309_instances.clear_selection();
        for (ObjectIterator it(enemycannonroot_309_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemycannonroot_309_instances.has_selection()) goto event_446_5_end;
        for (ObjectIterator it(enemycannonroot_309_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
            ((Active*)*it)->start_animation();
        }
    }
    event_446_5_end: ;
}
void Frames::event_func_774()
{
    // event 447_5
    {
        // group: Shooter
        enemyflashbullet_190_instances.clear_selection();
        if (!check_not_overlap(enemyflashbullet_190_instances, screen_170_instances)) goto event_447_5_end;
        for (ObjectIterator it(enemyflashbullet_190_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_447_5_end: ;
}
void Frames::event_func_775()
{
    // event 448_5
    {
        // group: Shooter
        objcollisionbox_318_instances.clear_selection();
        for (ObjectIterator it(objcollisionbox_318_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!objcollisionbox_318_instances.has_selection()) goto event_448_5_end;
        for (ObjectIterator it(objcollisionbox_318_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_448_5_end: ;
}
void Frames::event_func_776()
{
    // event 450_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(5, 1); // 'enemy-cannon'
        }
    }
    event_450_5_end: ;
}
void Frames::event_func_777()
{
    // event 451_5
    {
        // group: Shooter
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) <= (30))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_451_5_end;
        if (not_always_451_5_0 > loop_count) {
            not_always_451_5_0 = loop_count + 2;
            goto event_451_5_end;
        }
        not_always_451_5_0 = loop_count + 2;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_451_5_end: ;
}
void Frames::event_func_778()
{
    // event 456_5
    {
        // group: Enemies
        enemycannon_189_instances.clear_selection();
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemycannon_189_instances.has_selection()) goto event_456_5_end;
        for (ObjectIterator it(enemycannon_189_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
            ((Active*)*it)->start_animation();
        }
    }
    event_456_5_end: ;
}
void Frames::event_func_779()
{
    // event 458_5
    {
        // group: Atom Bomb
        enemyatom_198_instances.clear_selection();
        for (ObjectIterator it(enemyatom_198_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 0.01); // 'enemy-atom'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-atom'
        }
        spawneratom_197_instances.clear_selection();
        for (ObjectIterator it(spawneratom_197_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'SpawnerAtom'
        }
    }
    event_458_5_end: ;
}
void Frames::event_func_780()
{
    // event 459_5
    {
        // group: Atom Bomb
        enemyatom_198_instances.clear_selection();
        for (ObjectIterator it(enemyatom_198_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->alterables->values.get(7)+(((Active*)*it)->alterables->values.get(0)*sin_deg((((Active*)*it)->alterables->values.get(1)*((Active*)*it)->alterables->values.get(2))-(((Active*)*it)->alterables->values.get(3)*((Active*)*it)->alterables->values.get(4)))));
        }
    }
    event_459_5_end: ;
}
void Frames::event_func_781()
{
    // event 460_5
    {
        // group: Atom Bomb
        enemyatom_198_instances.clear_selection();
        for (ObjectIterator it(enemyatom_198_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-1);
        }
    }
    event_460_5_end: ;
}
void Frames::event_func_782()
{
    // event 462_5
    {
        // group: Atom Bomb
        bigexplosion_199_instances.clear_selection();
        for (ObjectIterator it(bigexplosion_199_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!bigexplosion_199_instances.has_selection()) goto event_462_5_end;
        for (ObjectIterator it(bigexplosion_199_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_462_5_end: ;
}
void Frames::event_func_783()
{
    // event 466_5
    {
        // group: Chomper
        screen_170_instances.clear_selection();
        enemychomper_206_instances.clear_selection();
        if (!check_overlap(screen_170_instances, enemychomper_206_instances)) goto event_466_5_end;
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(4, 1); // 'enemy-chomper'
        }
    }
    event_466_5_end: ;
}
void Frames::event_func_784()
{
    // event 467_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (35))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(6)) { it.deselect(); continue; }
        }
        if (!enemychomper_206_instances.has_selection()) goto event_467_5_end;
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_467_5_end: ;
}
void Frames::event_func_785()
{
    // event 468_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_206_instances.has_selection()) goto event_468_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_single(enemychomper_206_instances, default_active_instance))->get_x()))) goto event_468_5_end;
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(6);
            ((Active*)*it)->alterables->values.set(2, ((Active*)get_instance(player_115_instances))->get_x()-((Active*)*it)->get_x()); // 'enemy-chomper'
            ((Active*)*it)->alterables->values.set(3, ((Active*)get_instance(player_115_instances))->get_y()-((Active*)*it)->get_y()); // 'enemy-chomper'
        }
        FrameObject * single_instance_468_5_0; single_instance_468_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemychomper_206_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyzapball_207(parent->x + 0, parent->y + -17), parent->layer);
                if (single_instance_468_5_0 == NULL)
                    single_instance_468_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_468_5_0))->alterables->values.set(0, 1*(((Active*)get_single(enemychomper_206_instances, default_active_instance))->alterables->values.get(2)/MathHelper()/60.0)); // 'enemy-zapball'
        ((Active*)((Active*)single_instance_468_5_0))->alterables->values.set(1, -1*((((Active*)single_instance_468_5_0)->alterables->values.get(2)*7.0)/MathHelper()/2.0-((Active*)get_single(enemychomper_206_instances, default_active_instance))->alterables->values.get(3)/MathHelper()/60.0)); // 'enemy-zapball'
    }
    event_468_5_end: ;
}
void Frames::event_func_786()
{
    // event 469_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_206_instances.has_selection()) goto event_469_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_single(enemychomper_206_instances, default_active_instance))->get_x()))) goto event_469_5_end;
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(6);
            ((Active*)*it)->alterables->values.set(2, ((Active*)get_instance(player_115_instances))->get_x()-((Active*)*it)->get_x()); // 'enemy-chomper'
            ((Active*)*it)->alterables->values.set(3, ((Active*)get_instance(player_115_instances))->get_y()-((Active*)*it)->get_y()); // 'enemy-chomper'
        }
        FrameObject * single_instance_469_5_0; single_instance_469_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemychomper_206_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyzapball_207(parent->x + 0, parent->y + -17), parent->layer);
                if (single_instance_469_5_0 == NULL)
                    single_instance_469_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_469_5_0))->alterables->values.set(0, 1*(((Active*)get_single(enemychomper_206_instances, default_active_instance))->alterables->values.get(2)/MathHelper()/60.0)); // 'enemy-zapball'
        ((Active*)((Active*)single_instance_469_5_0))->alterables->values.set(1, -1*((((Active*)single_instance_469_5_0)->alterables->values.get(2)*7.0)/MathHelper()/2.0-((Active*)get_single(enemychomper_206_instances, default_active_instance))->alterables->values.get(3)/MathHelper()/60.0)); // 'enemy-zapball'
    }
    event_469_5_end: ;
}
void Frames::event_func_787()
{
    // event 470_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 6)) { it.deselect(); continue; }
        }
        if (!enemychomper_206_instances.has_selection()) goto event_470_5_end;
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-chomper'
            ((Active*)*it)->force_animation(0);
        }
    }
    event_470_5_end: ;
}
void Frames::event_func_788()
{
    // event 471_5
    {
        // group: Chomper
        every_471_5_0 += manager.dt;
        if (every_471_5_0 < 0.1) goto event_471_5_end;
        every_471_5_0 -= 0.1;
        enemyzapball_207_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, -1*((Active*)*it)->alterables->values.get(2)); // 'enemy-zapball'
        }
    }
    event_471_5_end: ;
}
void Frames::event_func_789()
{
    // event 473_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemychomper_206_instances.has_selection()) goto event_473_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemychomper_206_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemychomper_206_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        explosion_152_instances.clear_selection();
        for (ObjectIterator it(explosion_152_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(0));
            ((Active*)*it)->set_y(((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(1)-14);
        }
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 20); // 'camera shaker'
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        // select single: false false true
        for (ObjectIterator p_it(enemychomper_206_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + -14), parent->layer);
                explosion_152_instances.add_back();
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_473_5_end: ;
}
void Frames::event_func_790()
{
    // event 476_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        }
        enemyzapball_207_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(1));
        }
    }
    event_476_5_end: ;
}
void Frames::event_func_791()
{
    // event 477_5
    {
        // group: Chomper
        enemyzapball_207_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) > (6))) { it.deselect(); continue; }
        }
        if (!enemyzapball_207_instances.has_selection()) goto event_477_5_end;
        for (ObjectIterator it(enemyzapball_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 6); // 'enemy-zapball'
        }
    }
    event_477_5_end: ;
}
void Frames::event_func_792()
{
    // event 479_5
    {
        // group: Chomper
        every_479_5_0 += manager.dt;
        if (every_479_5_0 < 0.01) goto event_479_5_end;
        every_479_5_0 -= 0.01;
        spawnerenemychomper_209_instances.clear_selection();
        for (ObjectIterator it(spawnerenemychomper_209_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerenemychomper_209_instances.has_selection()) goto event_479_5_end;
        for (ObjectIterator it(spawnerenemychomper_209_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawner-enemy-chomper'
        }
    }
    event_479_5_end: ;
}
void Frames::event_func_793()
{
    // event 480_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        if (!check_overlap(enemychomper_206_instances, enemychomper_206_instances)) goto event_480_5_end;
        FrameObject * single_instance_480_5_0; single_instance_480_5_0 = pick_random(enemychomper_206_instances);
        if (single_instance_480_5_0 == NULL) goto event_480_5_end;
        ((Active*)((Active*)single_instance_480_5_0))->destroy();
    }
    event_480_5_end: ;
}
void Frames::event_func_794()
{
    // event 481_5
    {
        // group: Chomper
        enemychomper_206_instances.clear_selection();
        if (!check_overlap(enemychomper_206_instances, enemychomper_206_instances)) goto event_481_5_end;
        for (ObjectIterator it(enemychomper_206_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-chomper'
        }
    }
    event_481_5_end: ;
}
void Frames::event_func_795()
{
    // event 484_5
    {
        // group: BrokenBrain
        enemybrokenrobot_214_instances.clear_selection();
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-brokenrobot'
            ((Active*)*it)->alterables->values.set(3, ((Active*)*it)->get_y()); // 'enemy-brokenrobot'
        }
        bullet_143_instances.clear_selection();
        for (ObjectIterator it(bullet_143_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, ((Active*)*it)->get_x()); // 'Bullet'
            ((Active*)*it)->alterables->values.set(7, ((Active*)*it)->get_y()); // 'Bullet'
        }
    }
    event_484_5_end: ;
}
void Frames::event_func_796()
{
    // event 486_5
    {
        // group: BrokenBrain
        every_486_5_0 += manager.dt;
        if (every_486_5_0 < 0.01) goto event_486_5_end;
        every_486_5_0 -= 0.01;
        spawnerbrokenrobot_215_instances.clear_selection();
        for (ObjectIterator it(spawnerbrokenrobot_215_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerbrokenrobot_215_instances.has_selection()) goto event_486_5_end;
        for (ObjectIterator it(spawnerbrokenrobot_215_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawnerbrokenrobot'
        }
    }
    event_486_5_end: ;
}
void Frames::event_func_797()
{
    // event 487_5
    {
        // group: BrokenBrain
        enemybrokenrobot_214_instances.clear_selection();
        enemybrokenrobottop_216_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_214_instances, enemybrokenrobottop_216_instances)) goto event_487_5_end;
        for (ObjectIterator it(enemybrokenrobottop_216_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_single(enemybrokenrobot_214_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_single(enemybrokenrobot_214_instances, it.current_index, default_active_instance))->get_y());
        }
    }
    event_487_5_end: ;
}
void Frames::event_func_798()
{
    // event 488_5
    {
        // group: BrokenBrain
        enemybrokenrobot_214_instances.clear_selection();
        enemybrokenrobotbottom_217_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_214_instances, enemybrokenrobotbottom_217_instances)) goto event_488_5_end;
        for (ObjectIterator it(enemybrokenrobotbottom_217_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_single(enemybrokenrobot_214_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_single(enemybrokenrobot_214_instances, it.current_index, default_active_instance))->get_y());
        }
    }
    event_488_5_end: ;
}
void Frames::event_func_799()
{
    // event 489_5
    {
        // group: BrokenBrain
        bullet_143_instances.clear_selection();
        enemybrokenrobottop_216_instances.clear_selection();
        if (!check_overlap(bullet_143_instances, enemybrokenrobottop_216_instances)) goto event_489_5_end;
        enemybrokenrobot_214_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_214_instances, enemybrokenrobottop_216_instances)) goto event_489_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobottop_216_instances, default_active_instance))->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemybrokenrobot_214_instances.has_selection()) goto event_489_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(3*0.14*get_abs(((Active*)get_single(bullet_143_instances, it.current_index, default_active_instance))->alterables->values.get(0))));
        }
    }
    event_489_5_end: ;
}
void Frames::event_func_800()
{
    // event 490_5
    {
        // group: BrokenBrain
        bullet_143_instances.clear_selection();
        enemybrokenrobotbottom_217_instances.clear_selection();
        if (!check_overlap(bullet_143_instances, enemybrokenrobotbottom_217_instances)) goto event_490_5_end;
        enemybrokenrobot_214_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_214_instances, enemybrokenrobotbottom_217_instances)) goto event_490_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobotbottom_217_instances, default_active_instance))->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemybrokenrobot_214_instances.has_selection()) goto event_490_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-(3*0.14*get_abs(((Active*)get_single(bullet_143_instances, it.current_index, default_active_instance))->alterables->values.get(0))));
        }
    }
    event_490_5_end: ;
}
void Frames::event_func_801()
{
    // event 491_5
    {
        // group: BrokenBrain
        player_115_instances.clear_selection();
        enemybrokenrobot_214_instances.clear_selection();
        if (!check_overlap(player_115_instances, enemybrokenrobot_214_instances)) goto event_491_5_end;
        enemybrokenrobottop_216_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_214_instances, enemybrokenrobottop_216_instances)) goto event_491_5_end;
        enemybrokenrobotbottom_217_instances.clear_selection();
        if (!check_overlap(enemybrokenrobot_214_instances, enemybrokenrobotbottom_217_instances)) goto event_491_5_end;
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(4)) != (0))) goto event_491_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        for (ObjectIterator it(enemybrokenrobotbottom_217_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        for (ObjectIterator it(enemybrokenrobottop_216_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemybrokenrobot_214_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemybrokenrobot_214_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_491_5_0; single_instance_491_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemybrokenrobot_214_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_491_5_0 == NULL)
                    single_instance_491_5_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_491_5_end: ;
}
void Frames::event_func_802()
{
    // event 493_5
    {
        // group: BrokenBrain
        enemybrokenrobot_214_instances.clear_selection();
        if (!check_not_overlap(enemybrokenrobot_214_instances, enemybrokenrobottop_216_instances)) goto event_493_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_493_5_end: ;
}
void Frames::event_func_803()
{
    // event 494_5
    {
        // group: BrokenBrain
        enemybrokenrobot_214_instances.clear_selection();
        if (!check_not_overlap(enemybrokenrobot_214_instances, enemybrokenrobotbottom_217_instances)) goto event_494_5_end;
        for (ObjectIterator it(enemybrokenrobot_214_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_494_5_end: ;
}
void Frames::event_func_804()
{
    // event 498_5
    {
        // group: Walker
        every_498_5_0 += manager.dt;
        if (every_498_5_0 < 0.01) goto event_498_5_end;
        every_498_5_0 -= 0.01;
        spawnerwalker_219_instances.clear_selection();
        for (ObjectIterator it(spawnerwalker_219_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerwalker_219_instances.has_selection()) goto event_498_5_end;
        for (ObjectIterator it(spawnerwalker_219_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, 1); // 'spawnerwalker'
        }
    }
    event_498_5_end: ;
}
void Frames::event_func_805()
{
    // event 499_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(4)+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->alterables->values.add(2, ((Active*)*it)->alterables->values.get(6)); // 'enemy-walker'
        }
    }
    event_499_5_end: ;
}
void Frames::event_func_806()
{
    // event 500_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_500_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, 2); // 'enemy-walker'
            ((Active*)*it)->alterables->values.add(2, 7); // 'enemy-walker'
        }
    }
    event_500_5_end: ;
}
void Frames::event_func_807()
{
    // event 501_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_501_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, -2); // 'enemy-walker'
            ((Active*)*it)->alterables->values.add(2, -7); // 'enemy-walker'
        }
    }
    event_501_5_end: ;
}
void Frames::event_func_808()
{
    // event 502_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) < (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_502_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'enemy-walker'
        }
    }
    event_502_5_end: ;
}
void Frames::event_func_809()
{
    // event 503_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_503_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-walker'
        }
    }
    event_503_5_end: ;
}
void Frames::event_func_810()
{
    // event 504_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) < (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_504_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_504_5_end: ;
}
void Frames::event_func_811()
{
    // event 505_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(1)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_505_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_505_5_end: ;
}
void Frames::event_func_812()
{
    // event 510_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemywalker_218_instances.has_selection()) goto event_510_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_510_5_0; single_instance_510_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemywalker_218_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_510_5_0 == NULL)
                    single_instance_510_5_0 = new_obj;
            }
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemywalker_218_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemywalker_218_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_510_5_end: ;
}
void Frames::event_func_813()
{
    // event 512_5
    {
        // group: Walker
        if (!((((Active*)get_instance(active6_7_instances))->alterables->values.get(0)) >= (60))) goto event_512_5_end;
        FrameObject * single_instance_512_5_0; single_instance_512_5_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(active6_7_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemywalker_218(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_512_5_0 == NULL)
                    single_instance_512_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_512_5_0))->alterables->values.set(5, ((Active*)get_instance(framedatastore_205_instances))->alterables->values.get(2)); // 'enemy-walker'
        ((Active*)((Active*)single_instance_512_5_0))->alterables->values.set(6, -2); // 'enemy-walker'
        ((Active*)((Active*)single_instance_512_5_0))->alterables->values.set(4, ((Active*)single_instance_512_5_0)->get_x()); // 'enemy-walker'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
        ((Active*)get_instance(active6_7_instances))->alterables->values.set(0, 0); // 'Active 6'
    }
    event_512_5_end: ;
}
void Frames::event_func_814()
{
    // event 513_5
    {
        // group: Walker
        screenfar_299_instances.clear_selection();
        active6_7_instances.clear_selection();
        if (!check_overlap(screenfar_299_instances, active6_7_instances)) goto event_513_5_end;
        ((Active*)get_instance(active6_7_instances))->alterables->values.add(0, 1); // 'Active 6'
    }
    event_513_5_end: ;
}
void Frames::event_func_815()
{
    // event 515_5
    {
        // group: Walker
        enemywalker_218_instances.clear_selection();
        objeyeblock_191_instances.clear_selection();
        if (!check_overlap(enemywalker_218_instances, objeyeblock_191_instances)) goto event_515_5_end;
        for (ObjectIterator it(objeyeblock_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!objeyeblock_191_instances.has_selection()) goto event_515_5_end;
        for (ObjectIterator it(enemywalker_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 2); // 'enemy-walker'
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-2);
        }
    }
    event_515_5_end: ;
}
void Frames::event_func_816()
{
    // event 522_5
    {
        // group: Blobulule
        enemyblobululephase1_233_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->alterables->values.get(2));
        }
    }
    event_522_5_end: ;
}
void Frames::event_func_817()
{
    // event 523_5
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_instance(enemyblobululephase1_233_instances, default_active_instance))->get_x()))) goto event_523_5_end;
        if (((Active*)get_instance(active6_7_instances))->overlaps_background()) goto event_523_5_end;
        enemyblobululephase1_233_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_523_5_end: ;
}
void Frames::event_func_818()
{
    // event 524_5
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_instance(enemyblobululephase1_233_instances, default_active_instance))->get_x()))) goto event_524_5_end;
        if (((Active*)get_instance(active6_7_instances))->overlaps_background()) goto event_524_5_end;
        enemyblobululephase1_233_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_524_5_end: ;
}
void Frames::event_func_819()
{
    // event 527_5
    {
        // group: Blobulule
        enemyblobululephase1_233_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()+85))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase1_233_instances.has_selection()) goto event_527_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_single(enemyblobululephase1_233_instances, default_active_instance))->get_x()))) goto event_527_5_end;
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_527_5_0; single_instance_527_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase1_233_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyblobululephase2_234(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_527_5_0 == NULL)
                    single_instance_527_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_527_5_0))->alterables->values.set(0, ((Active*)single_instance_527_5_0)->get_x()); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)single_instance_527_5_0))->force_animation(8);
    }
    event_527_5_end: ;
}
void Frames::event_func_820()
{
    // event 528_5
    {
        // group: Blobulule
        enemyblobululephase1_233_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-85))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase1_233_instances.has_selection()) goto event_528_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_single(enemyblobululephase1_233_instances, default_active_instance))->get_x()))) goto event_528_5_end;
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_528_5_0; single_instance_528_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase1_233_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemyblobululephase2_234(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_528_5_0 == NULL)
                    single_instance_528_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_528_5_0))->alterables->values.set(0, ((Active*)single_instance_528_5_0)->get_x()); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)single_instance_528_5_0))->force_animation(8);
    }
    event_528_5_end: ;
}
void Frames::event_func_821()
{
    // event 531_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_531_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_531_5_end: ;
}
void Frames::event_func_822()
{
    // event 532_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) <= (5))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_532_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_532_5_end: ;
}
void Frames::event_func_823()
{
    // event 533_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.add(1, 1); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.add(0, ((Active*)*it)->alterables->values.get(2)); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.add(4, 1); // 'enemy-blobulule-phase2'
        }
    }
    event_533_5_end: ;
}
void Frames::event_func_824()
{
    // event 534_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (40))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_534_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_single(enemyblobululephase2_234_instances, default_active_instance))->get_x()))) goto event_534_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0.5); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.set(1, 0); // 'enemy-blobulule-phase2'
        }
    }
    event_534_5_end: ;
}
void Frames::event_func_825()
{
    // event 535_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) >= (40))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_535_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_single(enemyblobululephase2_234_instances, default_active_instance))->get_x()))) goto event_535_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, -0.5); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.set(1, 0); // 'enemy-blobulule-phase2'
        }
    }
    event_535_5_end: ;
}
void Frames::event_func_826()
{
    // event 536_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_536_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'enemy-blobulule-phase2'
        }
    }
    event_536_5_end: ;
}
void Frames::event_func_827()
{
    // event 537_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (7))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) <= (5))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_537_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-blobulule-phase2'
        }
        FrameObject * single_instance_537_5_0; single_instance_537_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase2_234_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemygoo_235(parent->get_action_x() - parent->layer->off_x + 12, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_537_5_0 == NULL)
                    single_instance_537_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_537_5_0))->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
    }
    event_537_5_end: ;
}
void Frames::event_func_828()
{
    // event 538_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) >= (7))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) <= (5))) { it.deselect(); continue; }
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_538_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(4, 0); // 'enemy-blobulule-phase2'
        }
        FrameObject * single_instance_538_5_0; single_instance_538_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase2_234_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemygoo_235(parent->get_action_x() - parent->layer->off_x + -12, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_538_5_0 == NULL)
                    single_instance_538_5_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_538_5_0))->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
    }
    event_538_5_end: ;
}
void Frames::event_func_829()
{
    // event 539_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_539_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(2)*-1); // 'enemy-blobulule-phase2'
            ((Active*)*it)->alterables->values.add(0, 2); // 'enemy-blobulule-phase2'
        }
    }
    event_539_5_end: ;
}
void Frames::event_func_830()
{
    // event 540_5
    {
        // group: Blobulule
        screen_170_instances.clear_selection();
        if (!check_not_overlap(screen_170_instances, enemygoo_235_instances)) goto event_540_5_end;
        enemygoo_235_instances.clear_selection();
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_540_5_end: ;
}
void Frames::event_func_831()
{
    // event 541_5
    {
        // group: Blobulule
        enemygoo_235_instances.clear_selection();
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
        }
        if (!enemygoo_235_instances.has_selection()) goto event_541_5_end;
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_541_5_end: ;
}
void Frames::event_func_832()
{
    // event 542_5
    {
        // group: Blobulule
        enemygoo_235_instances.clear_selection();
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemygoo_235_instances.has_selection()) goto event_542_5_end;
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_542_5_end: ;
}
void Frames::event_func_833()
{
    // event 543_5
    {
        // group: Blobulule
        enemygoo_235_instances.clear_selection();
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (1))) { it.deselect(); continue; }
        }
        if (!enemygoo_235_instances.has_selection()) goto event_543_5_end;
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_543_5_end: ;
}
void Frames::event_func_834()
{
    // event 544_5
    {
        // group: Blobulule
        enemygoo_235_instances.clear_selection();
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (2))) { it.deselect(); continue; }
        }
        if (!enemygoo_235_instances.has_selection()) goto event_544_5_end;
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(14);
        }
    }
    event_544_5_end: ;
}
void Frames::event_func_835()
{
    // event 545_5
    {
        // group: Blobulule
        enemygoo_235_instances.clear_selection();
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (3))) { it.deselect(); continue; }
        }
        if (!enemygoo_235_instances.has_selection()) goto event_545_5_end;
        for (ObjectIterator it(enemygoo_235_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_545_5_end: ;
}
void Frames::event_func_836()
{
    // event 546_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_546_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_546_5_end: ;
}
void Frames::event_func_837()
{
    // event 547_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_547_5_end;
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_547_5_end: ;
}
void Frames::event_func_838()
{
    // event 549_5
    {
        // group: Blobulule
        enemyblobululephase1_233_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase1_233_instances.has_selection()) goto event_549_5_end;
        for (ObjectIterator it(enemyblobululephase1_233_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyblobululephase1_233_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyblobululephase1_233_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_549_5_0; single_instance_549_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase1_233_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_549_5_0 == NULL)
                    single_instance_549_5_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_549_5_end: ;
}
void Frames::event_func_839()
{
    // event 551_5
    {
        // group: Blobulule
        enemyblobululephase2_234_instances.clear_selection();
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyblobululephase2_234_instances.has_selection()) goto event_551_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemyblobululephase2_234_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemyblobululephase2_234_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        for (ObjectIterator it(enemyblobululephase2_234_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_551_5_0; single_instance_551_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyblobululephase2_234_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_551_5_0 == NULL)
                    single_instance_551_5_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_551_5_end: ;
}
void Frames::event_func_840()
{
    // event 557_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(3));
        }
    }
    event_557_5_end: ;
}
void Frames::event_func_841()
{
    // event 559_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777472))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_559_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) > (((Active*)get_single(enemymobilebrohoriz_236_instances, default_active_instance))->get_x()))) goto event_559_5_end;
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 2); // 'enemy-mobilebrohoriz'
        }
    }
    event_559_5_end: ;
}
void Frames::event_func_842()
{
    // event 560_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777472))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_560_5_end;
        if (!((((Active*)get_instance(player_115_instances))->get_x()) < (((Active*)get_single(enemymobilebrohoriz_236_instances, default_active_instance))->get_x()))) goto event_560_5_end;
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, -2); // 'enemy-mobilebrohoriz'
        }
    }
    event_560_5_end: ;
}
void Frames::event_func_843()
{
    // event 565_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(16777216))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_565_5_end;
        if (not_always_565_5_0 > loop_count) {
            not_always_565_5_0 = loop_count + 2;
            goto event_565_5_end;
        }
        not_always_565_5_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_565_5_1; single_instance_565_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_236_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_565_5_1 == NULL)
                    single_instance_565_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_565_5_1))->set_direction(8);
        ((Active*)((Active*)single_instance_565_5_1))->get_movement()->set_speed(100);
    }
    event_565_5_end: ;
}
void Frames::event_func_844()
{
    // event 566_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(256))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_115_instances))->get_x()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_115_instances))->get_x()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_566_5_end;
        if (not_always_566_5_0 > loop_count) {
            not_always_566_5_0 = loop_count + 2;
            goto event_566_5_end;
        }
        not_always_566_5_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_566_5_1; single_instance_566_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_236_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_566_5_1 == NULL)
                    single_instance_566_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_566_5_1))->set_direction(24);
        ((Active*)((Active*)single_instance_566_5_1))->get_movement()->set_speed(100);
    }
    event_566_5_end: ;
}
void Frames::event_func_845()
{
    // event 567_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()+4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_567_5_end;
        if (not_always_567_5_0 > loop_count) {
            not_always_567_5_0 = loop_count + 2;
            goto event_567_5_end;
        }
        not_always_567_5_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_567_5_1; single_instance_567_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_236_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_567_5_1 == NULL)
                    single_instance_567_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_567_5_1))->set_direction(0);
        ((Active*)((Active*)single_instance_567_5_1))->get_movement()->set_speed(80);
    }
    event_567_5_end: ;
}
void Frames::event_func_846()
{
    // event 568_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_115_instances))->get_y()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_115_instances))->get_y()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_568_5_end;
        if (not_always_568_5_0 > loop_count) {
            not_always_568_5_0 = loop_count + 2;
            goto event_568_5_end;
        }
        not_always_568_5_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_568_5_1; single_instance_568_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_236_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_224(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_568_5_1 == NULL)
                    single_instance_568_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_568_5_1))->set_direction(16);
        ((Active*)((Active*)single_instance_568_5_1))->get_movement()->set_speed(80);
    }
    event_568_5_end: ;
}
void Frames::event_func_847()
{
    // event 569_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65537))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_569_5_end;
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 2); // 'enemy-mobilebrohoriz'
        }
    }
    event_569_5_end: ;
}
void Frames::event_func_848()
{
    // event 570_5
    {
        // group: MobileBro
        if (!((((Active*)get_instance(player_115_instances))->alterables->values.get(9)) <= (0))) goto event_570_5_end;
        hurtbox_196_instances.clear_selection();
        enemymobilebrohoriz_236_instances.clear_selection();
        if (!check_overlap(hurtbox_196_instances, enemymobilebrohoriz_236_instances)) goto event_570_5_end;
        global_values->sub(0, ((Active*)get_single(enemymobilebrohoriz_236_instances, default_active_instance))->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_5();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_115_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_115_instances))->alterables->values.set(9, 75); // 'Player'
        enemyzapball_207_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_207_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_570_5_end: ;
}
void Frames::event_func_849()
{
    // event 572_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_572_5_end;
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_572_5_0; single_instance_572_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_236_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_572_5_0 == NULL)
                    single_instance_572_5_0 = new_obj;
            }
        }
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemymobilebrohoriz_236_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemymobilebrohoriz_236_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_5();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(2, 18); // 'camera shaker'
        ((Active*)get_instance(camerashaker_269_instances))->alterables->values.set(3, 16); // 'camera shaker'
    }
    event_572_5_end: ;
}
void Frames::event_func_850()
{
    // event 574_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_574_5_end;
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'enemy-mobilebrohoriz'
        }
    }
    event_574_5_end: ;
}
void Frames::event_func_851()
{
    // event 575_5
    {
        // group: MobileBro
        enemymobilebrohoriz_236_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_236_instances.has_selection()) goto event_575_5_end;
        for (ObjectIterator it(enemymobilebrohoriz_236_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_575_5_end: ;
}
void Frames::event_func_852()
{
    // event 578_5
    {
        // group: MobileBro
        spawnermobilebro_238_instances.clear_selection();
        for (ObjectIterator it(spawnermobilebro_238_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnermobilebro_238_instances.has_selection()) goto event_578_5_end;
        for (ObjectIterator it(spawnermobilebro_238_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-mobilebro'
        }
    }
    event_578_5_end: ;
}
void Frames::event_func_853()
{
    // event 579_5
    {
        // group: Dangerned
        enemydangerned_239_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_239_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_115_instances))->x + 0, ((Active*)get_instance(player_115_instances))->y + 0));
        }
    }
    event_579_5_end: ;
}
void Frames::event_func_854()
{
    // event 581_5
    {
        // group: Dangerned
        enemydangerned_239_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_239_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_239_instances.has_selection()) goto event_581_5_end;
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(0, ((Active*)get_single(enemydangerned_239_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_205_instances))->alterables->values.set(1, ((Active*)get_single(enemydangerned_239_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_581_5_0; single_instance_581_5_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_239_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_152(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_581_5_0 == NULL)
                    single_instance_581_5_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemydangerned_239_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_581_5_1; single_instance_581_5_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_239_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_172(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_581_5_1 == NULL)
                    single_instance_581_5_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_581_5_1))->set_direction(8);
        ((Active*)((Active*)single_instance_581_5_1))->get_movement()->set_speed(15);
    }
    event_581_5_end: ;
}
