#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::handle_frame_9_pre_events()
{
    event_func_1435();
    event_func_1436();
}
void Frames::event_func_1439()
{
    // event 4_8
    {
        manager.set_scale_type(1);
        manager.set_window_scale(1);
        media.stop_samples();
    }
    event_4_8_end: ;
}
void Frames::on_frame_9_start_events()
{
    event_func_1439();
}
void Frames::on_frame_9_init()
{
    index = 8;
    width = 640;
    height = 360;
    virtual_width = 640;
    virtual_height = 360;
    background_color = Color(0, 0, 0);
    timer_base = 0;
    reset_image_cache();
    flush_image_cache();
    layers.resize(1);
    layers[0].init(0, 1.0, 1.0, true, false, false);
    #ifdef CHOWDREN_HAS_MRT
    #endif
    #ifdef CHOWDREN_IS_3DS
    #endif
    add_background_object(create_backdrop_364(529, 169), 0);
    add_object(create_string2_353(160, -160), 0);
    add_object(create_string3_354(160, 30), 0);
    add_object(create_string4_355(48, 62), 0);
    add_object(create_string6_357(432, 62), 0);
    add_object(create_string5_356(240, 62), 0);
    add_object(create_active_358(285, 248), 0);
    add_object(create_active2_359(10, 242), 0);
    add_object(create_active3_360(-266, 239), 0);
    add_object(create_active4_361(-39, 241), 0);
    add_object(create_string7_362(49, 195), 0);
    add_object(create_overlay2_22(0, 0), 0);
    add_object(create_active5_363(0, 224), 0);
    loops = NULL;
    not_always_7_0_0 = loop_count;
    not_always_6_0_0 = loop_count;
    not_always_5_0_0 = loop_count;
    every_8_8_0 = 0.0f;
}
void Frames::test_collisions_9()
{
    ObjectList::iterator it1, it2;
}
void Frames::event_func_1440()
{
    // event 1_9
    {
        // group: None
        active2_2_instances.clear_selection();
        for (ObjectIterator it(active2_2_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(randrange_event(640)-64);
            ((Active*)*it)->set_y(randrange_event(360)-64);
        }
    }
    event_1_9_end: ;
}
void Frames::event_func_1441()
{
    // event 2_9
    {
        // group: None
        active2_2_instances.clear_selection();
        for (ObjectIterator it(active2_2_instances); !it.end(); ++it) {
            ((Active*)*it)->force_frame(randrange_event(7));
        }
        media.set_sample_volume(SOUND_BWEN_21, 0.4*global_values->get(12));
    }
    event_2_9_end: ;
}
void Frames::event_func_1442()
{
    // event 4_9
    {
        // group: None
        if (!(frame_time >= 3.0)) goto event_4_9_end;
        if (!(is_player_pressed_once(1, CONTROL_LEFT))) goto event_4_9_end;
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(0)) == (0))) goto event_4_9_end;
        ((Active*)get_instance(devil_365_instances))->alterables->values.set(0, 1); // 'Devil'
        media.stop_sample(SOUND_BWEN_21);
        media.play_id(SOUND_BWEN_21, -1, 1);
        media.set_sample_volume(SOUND_BWEN_21, global_values->get(12)*0.5);
    }
    event_4_9_end: ;
}
void Frames::event_func_1443()
{
    // event 5_9
    {
        // group: None
        if (!(frame_time >= 3.0)) goto event_5_9_end;
        if (!(is_player_pressed_once(1, CONTROL_RIGHT))) goto event_5_9_end;
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(0)) == (1))) goto event_5_9_end;
        ((Active*)get_instance(devil_365_instances))->alterables->values.set(0, 0); // 'Devil'
        media.stop_sample(SOUND_BWEN_21);
        media.play_id(SOUND_BWEN_21, -1, 1);
        media.set_sample_volume(SOUND_BWEN_21, global_values->get(12)*0.5);
    }
    event_5_9_end: ;
}
void Frames::event_func_1444()
{
    // event 6_9
    {
        // group: None
        if (frame_time < 3.0) goto event_6_9_end;
        if (not_always_6_9_0 > loop_count) {
            not_always_6_9_0 = loop_count + 2;
            goto event_6_9_end;
        }
        not_always_6_9_0 = loop_count + 2;
        ((Text*)get_instance(string6_81_instances))->set_visible(true);
        ((Text*)get_instance(string5_62_instances))->set_visible(true);
        ((Active*)get_instance(active5_6_instances))->set_visible(true);
        ((Active*)get_instance(active4_5_instances))->set_visible(true);
        ((Active*)get_instance(active3_4_instances))->set_visible(true);
        ((Active*)get_instance(active25_76_instances))->set_visible(true);
    }
    event_6_9_end: ;
}
void Frames::event_func_1445()
{
    // event 7_9
    {
        // group: None
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(0)) == (0))) goto event_7_9_end;
        ((Active*)get_instance(active25_76_instances))->set_x(319);
        ((Active*)get_instance(active25_76_instances))->set_y(325);
    }
    event_7_9_end: ;
}
void Frames::event_func_1446()
{
    // event 8_9
    {
        // group: None
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(0)) == (1))) goto event_8_9_end;
        ((Active*)get_instance(active25_76_instances))->set_x(256);
        ((Active*)get_instance(active25_76_instances))->set_y(325);
    }
    event_8_9_end: ;
}
void Frames::event_func_1447()
{
    // event 9_9
    {
        // group: None
        if (!(frame_time >= 3.0)) goto event_9_9_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_9_9_end;
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(0)) == (1))) goto event_9_9_end;
        media.stop_sample(SOUND_BWEN_21);
        media.set_sample_volume(SOUND_THWAP_01_32, global_values->get(12)*0.38);
        ((Active*)get_instance(devil_365_instances))->alterables->values.set(1, 1); // 'Devil'
        media.play_id(SOUND_THWAP_01_32, -1, 1);
        global_values->sub(17, 3);
        global_values->set(3, 1);
    }
    event_9_9_end: ;
}
void Frames::event_func_1448()
{
    // event 10_9
    {
        // group: None
        if (!(frame_time >= 3.0)) goto event_10_9_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_10_9_end;
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(0)) == (0))) goto event_10_9_end;
        media.stop_sample(SOUND_BWEN_21);
        media.set_sample_volume(SOUND_THWAP_01_32, global_values->get(12)*0.38);
        ((Active*)get_instance(devil_365_instances))->alterables->values.set(1, 1); // 'Devil'
        media.play_id(SOUND_THWAP_01_32, -1, 1);
        global_values->set(8, 0);
        global_values->set(9, 0);
        global_values->set(6, 0);
        global_values->set(7, 0);
    }
    event_10_9_end: ;
}
void Frames::event_func_1449()
{
    // event 11_9
    {
        // group: None
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(1)) == (1))) goto event_11_9_end;
        active2_2_instances.empty_selection();
        // select single: false true false
        {
            FrameObject * parent = ((Active*)get_instance(devil_365_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_366(parent->x + 0, parent->y + 0), parent->layer);
                active2_2_instances.add_back();
            }
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_366(parent->x + 0, parent->y + 0), parent->layer);
                active2_2_instances.add_back();
            }
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_366(parent->x + 0, parent->y + 0), parent->layer);
                active2_2_instances.add_back();
            }
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_366(parent->x + 0, parent->y + 0), parent->layer);
                active2_2_instances.add_back();
            }
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_366(parent->x + 0, parent->y + 0), parent->layer);
                active2_2_instances.add_back();
            }
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active2_366(parent->x + 0, parent->y + 0), parent->layer);
                active2_2_instances.add_back();
            }
        }
        media.stop_sample(SOUND_DEVIL_2_34);
        ((Active*)get_instance(active25_76_instances))->set_visible(false);
        ((Active*)get_instance(active3_4_instances))->set_visible(false);
        ((Active*)get_instance(active4_5_instances))->set_visible(false);
        ((Active*)get_instance(active5_6_instances))->set_visible(false);
        ((Text*)get_instance(string5_62_instances))->set_visible(false);
        ((Text*)get_instance(string6_81_instances))->set_visible(false);
        for (ObjectIterator it(active2_2_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(randrange_event(640)-64);
            ((Active*)*it)->set_y(randrange_event(360)-64);
        }
        ((Active*)get_instance(devil_365_instances))->alterables->values.add(2, 1); // 'Devil'
    }
    event_11_9_end: ;
}
void Frames::event_func_1450()
{
    // event 12_9
    {
        // group: None
        if (!((((Active*)get_instance(devil_365_instances))->alterables->values.get(2)) == (300))) goto event_12_9_end;
        next_frame = 3 + 0;    
    
        global_values->set(2, global_values->get(15));
        global_values->set(3, 0);
        global_values->set(0, 100);
        global_values->set(10, global_values->get(16));
    }
    event_12_9_end: ;
}
void Frames::handle_frame_10_events()
{
    test_collisions_9();
    event_func_1442();
    event_func_1443();
    event_func_1444();
    event_func_1447();
    event_func_1448();
    if (next_frame != -1) return;
    event_func_1440();
    event_func_1441();
    event_func_1445();
    event_func_1446();
    event_func_1449();
    event_func_1450();
}
void Frames::handle_frame_10_pre_events()
{
}
void Frames::event_func_1451()
{
    // event 3_9
    {
        media.set_sample_volume(SOUND_DEVIL_2_34, global_values->get(12)*0.2);
        media.play_id(SOUND_DEVIL_2_34, -1, 0);
        media.set_sample_volume(SOUND_DEVIL_2_34, global_values->get(12)*0.2);
        ((Active*)get_instance(active25_76_instances))->set_visible(false);
        ((Active*)get_instance(active3_4_instances))->set_visible(false);
        ((Active*)get_instance(active4_5_instances))->set_visible(false);
        ((Active*)get_instance(active5_6_instances))->set_visible(false);
        ((Text*)get_instance(string5_62_instances))->set_visible(false);
        ((Text*)get_instance(string6_81_instances))->set_visible(false);
    }
    event_3_9_end: ;
}
void Frames::on_frame_10_start_events()
{
    event_func_1451();
}
void Frames::on_frame_10_init()
{
    index = 9;
    width = 640;
    height = 360;
    virtual_width = 640;
    virtual_height = 360;
    background_color = Color(8, 0, 0);
    timer_base = 50;
    reset_image_cache();
    flush_image_cache();
    layers.resize(2);
    layers[0].init(0, 1.0, 1.0, true, false, false);
    layers[1].init(1, 1.0, 1.0, true, false, false);
    #ifdef CHOWDREN_HAS_MRT
    #endif
    #ifdef CHOWDREN_IS_3DS
    #endif
    add_object(create_devil_365(0, 0), 0);
    add_object(create_active2_366(0, 160), 0);
    add_object(create_active2_366(192, 160), 0);
    add_object(create_active2_366(256, 0), 0);
    add_object(create_active2_366(96, 32), 0);
    add_object(create_active2_366(32, 224), 0);
    add_object(create_active2_366(416, 224), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(288, 96), 0);
    add_object(create_active2_366(416, 128), 0);
    add_object(create_active2_366(416, 0), 0);
    add_object(create_active2_366(544, 32), 0);
    add_object(create_active2_366(544, 192), 0);
    add_object(create_active2_366(224, 256), 0);
    add_object(create_active2_366(128, 256), 0);
    add_object(create_active2_366(96, 160), 0);
    add_object(create_active2_366(0, 96), 0);
    add_object(create_active2_366(0, 0), 0);
    add_object(create_active2_366(0, 256), 0);
    add_object(create_active2_366(416, 96), 0);
    add_object(create_active2_366(256, 96), 0);
    add_object(create_active2_366(160, 96), 0);
    add_object(create_active2_366(256, 32), 0);
    add_object(create_active2_366(384, 64), 0);
    add_object(create_active2_366(192, 64), 0);
    add_object(create_active2_366(480, 160), 0);
    add_object(create_active2_366(352, 160), 0);
    add_object(create_active2_366(32, 160), 0);
    add_object(create_active2_366(32, 32), 0);
    add_object(create_active2_366(288, 224), 0);
    add_object(create_active2_366(192, 160), 0);
    add_object(create_active2_366(320, 96), 0);
    add_object(create_active2_366(96, 96), 0);
    add_object(create_active2_366(96, 128), 0);
    add_object(create_active2_366(128, 64), 0);
    add_object(create_active2_366(416, 32), 0);
    add_object(create_active2_366(480, 0), 0);
    add_object(create_active2_366(480, 224), 0);
    add_object(create_active2_366(384, 224), 0);
    add_object(create_active2_366(192, 224), 0);
    add_object(create_active2_366(64, 224), 0);
    add_object(create_active2_366(0, 224), 0);
    add_object(create_active2_366(0, 64), 0);
    add_object(create_active2_366(0, 0), 0);
    add_object(create_active2_366(576, 64), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_active2_366(480, 96), 0);
    add_object(create_active2_366(352, 32), 0);
    add_object(create_active2_366(192, -32), 0);
    add_object(create_active2_366(512, 96), 0);
    add_object(create_active2_366(512, 192), 0);
    add_object(create_active2_366(192, 128), 0);
    add_object(create_active2_366(192, 192), 0);
    add_object(create_active2_366(288, 192), 0);
    add_object(create_active2_366(96, 96), 0);
    add_object(create_active2_366(288, 128), 0);
    add_object(create_active2_366(384, 128), 0);
    add_object(create_active2_366(32, 160), 0);
    add_object(create_active2_366(224, 192), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(-64, 128), 0);
    add_object(create_active2_366(128, 160), 0);
    add_object(create_active2_366(224, 160), 0);
    add_object(create_active2_366(32, 64), 0);
    add_object(create_active2_366(224, 96), 0);
    add_object(create_active2_366(320, 96), 0);
    add_object(create_active2_366(-32, 128), 0);
    add_object(create_active2_366(160, 160), 0);
    add_object(create_active2_366(256, 160), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(32, 160), 0);
    add_object(create_active2_366(224, 192), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(128, 96), 0);
    add_object(create_active2_366(320, 128), 0);
    add_object(create_active2_366(64, 160), 0);
    add_object(create_active2_366(256, 192), 0);
    add_object(create_active2_366(352, 192), 0);
    add_object(create_active2_366(160, 160), 0);
    add_object(create_active2_366(256, 160), 0);
    add_object(create_active2_366(256, 96), 0);
    add_object(create_active2_366(352, 96), 0);
    add_object(create_active2_366(0, 128), 0);
    add_object(create_active2_366(192, 160), 0);
    add_object(create_active2_366(288, 160), 0);
    add_object(create_active2_366(352, 192), 0);
    add_object(create_active2_366(128, 160), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(416, 192), 0);
    add_object(create_active2_366(224, 96), 0);
    add_object(create_active2_366(416, 128), 0);
    add_object(create_active2_366(512, 128), 0);
    add_object(create_active2_366(160, 160), 0);
    add_object(create_active2_366(352, 192), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_active2_366(64, 128), 0);
    add_object(create_active2_366(256, 160), 0);
    add_object(create_active2_366(352, 160), 0);
    add_object(create_active2_366(160, 64), 0);
    add_object(create_active2_366(352, 96), 0);
    add_object(create_active2_366(448, 96), 0);
    add_object(create_active2_366(96, 128), 0);
    add_object(create_active2_366(288, 160), 0);
    add_object(create_active2_366(384, 160), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_active2_366(160, 160), 0);
    add_object(create_active2_366(352, 192), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_active2_366(256, 96), 0);
    add_object(create_active2_366(448, 128), 0);
    add_object(create_active2_366(192, 160), 0);
    add_object(create_active2_366(384, 192), 0);
    add_object(create_active2_366(480, 192), 0);
    add_object(create_active2_366(288, 160), 0);
    add_object(create_active2_366(384, 160), 0);
    add_object(create_active2_366(384, 96), 0);
    add_object(create_active2_366(480, 96), 0);
    add_object(create_active2_366(128, 128), 0);
    add_object(create_active2_366(320, 160), 0);
    add_object(create_active2_366(416, 160), 0);
    add_object(create_active2_366(480, 192), 0);
    add_object(create_active2_366(160, 192), 0);
    add_object(create_active2_366(352, 224), 0);
    add_object(create_active2_366(448, 224), 0);
    add_object(create_active2_366(256, 128), 0);
    add_object(create_active2_366(448, 160), 0);
    add_object(create_active2_366(544, 160), 0);
    add_object(create_active2_366(192, 192), 0);
    add_object(create_active2_366(384, 224), 0);
    add_object(create_active2_366(480, 224), 0);
    add_object(create_active2_366(96, 160), 0);
    add_object(create_active2_366(288, 192), 0);
    add_object(create_active2_366(384, 192), 0);
    add_object(create_active2_366(192, 96), 0);
    add_object(create_active2_366(384, 128), 0);
    add_object(create_active2_366(480, 128), 0);
    add_object(create_active2_366(128, 160), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(416, 192), 0);
    add_object(create_active2_366(480, 224), 0);
    add_object(create_active2_366(192, 192), 0);
    add_object(create_active2_366(384, 224), 0);
    add_object(create_active2_366(480, 224), 0);
    add_object(create_active2_366(288, 128), 0);
    add_object(create_active2_366(480, 160), 0);
    add_object(create_active2_366(224, 192), 0);
    add_object(create_active2_366(416, 224), 0);
    add_object(create_active2_366(512, 224), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(416, 192), 0);
    add_object(create_active2_366(416, 128), 0);
    add_object(create_active2_366(512, 128), 0);
    add_object(create_active2_366(160, 160), 0);
    add_object(create_active2_366(352, 192), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_active2_366(512, 224), 0);
    add_object(create_active2_366(96, 160), 0);
    add_object(create_active2_366(288, 192), 0);
    add_object(create_active2_366(384, 192), 0);
    add_object(create_active2_366(192, 96), 0);
    add_object(create_active2_366(384, 128), 0);
    add_object(create_active2_366(480, 128), 0);
    add_object(create_active2_366(128, 160), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(416, 192), 0);
    add_object(create_active2_366(32, 128), 0);
    add_object(create_active2_366(224, 160), 0);
    add_object(create_active2_366(320, 160), 0);
    add_object(create_active2_366(128, 64), 0);
    add_object(create_active2_366(320, 96), 0);
    add_object(create_active2_366(416, 96), 0);
    add_object(create_active2_366(64, 128), 0);
    add_object(create_active2_366(256, 160), 0);
    add_object(create_active2_366(352, 160), 0);
    add_object(create_active2_366(416, 192), 0);
    add_object(create_active2_366(128, 160), 0);
    add_object(create_active2_366(320, 192), 0);
    add_object(create_active2_366(416, 192), 0);
    add_object(create_active2_366(224, 96), 0);
    add_object(create_active2_366(416, 128), 0);
    add_object(create_active2_366(160, 160), 0);
    add_object(create_active2_366(352, 192), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_active2_366(256, 160), 0);
    add_object(create_active2_366(352, 160), 0);
    add_object(create_active2_366(352, 96), 0);
    add_object(create_active2_366(448, 96), 0);
    add_object(create_active2_366(96, 128), 0);
    add_object(create_active2_366(288, 160), 0);
    add_object(create_active2_366(384, 160), 0);
    add_object(create_active2_366(448, 192), 0);
    add_object(create_string6_368(416, -96), 0);
    add_object(create_active5_371(192, 266), 1);
    add_object(create_string5_367(231, 321), 1);
    add_object(create_active3_369(282, 339), 1);
    add_object(create_active4_370(346, 339), 1);
    add_object(create_active25_372(256, 325), 1);
    loops = NULL;
    not_always_6_9_0 = loop_count;
}
static void update_active_0(ObjectList ** lists, int count)
{
    ObjectList::iterator it;
    for (int i = 0; i < count; i++) {
        ObjectList & list = *lists[i];
        for (it = list.begin(); it != list.end(); ++it) {
            FrameObject * instance = it->obj;
            if (instance->flags & DESTROYING)
                continue;
            ((Active*)instance)->update();
        }
    }
}
static void update_active_1(ObjectList ** lists, int count)
{
    ObjectList::iterator it;
    for (int i = 0; i < count; i++) {
        ObjectList & list = *lists[i];
        for (it = list.begin(); it != list.end(); ++it) {
            FrameObject * instance = it->obj;
            if (instance->flags & DESTROYING)
                continue;
            instance->update_inactive();
            if (instance->flags & INACTIVE)
                continue;
            ((Active*)instance)->update();
        }
    }
}
static void update_active_2(ObjectList ** lists, int count)
{
    ObjectList::iterator it;
    for (int i = 0; i < count; i++) {
        ObjectList & list = *lists[i];
        for (it = list.begin(); it != list.end(); ++it) {
            FrameObject * instance = it->obj;
            if (instance->flags & DESTROYING)
                continue;
            instance->update_kill();
            if (instance->flags & INACTIVE)
                continue;
            ((Active*)instance)->update();
        }
    }
}
static void update_active_3(ObjectList ** lists, int count)
{
    ObjectList::iterator it;
    for (int i = 0; i < count; i++) {
        ObjectList & list = *lists[i];
        for (it = list.begin(); it != list.end(); ++it) {
            FrameObject * instance = it->obj;
            if (instance->flags & DESTROYING)
                continue;
            ((Active*)instance)->update();
            if (instance->movement)
                instance->movement->update();
        }
    }
}
static void update_active_4(ObjectList ** lists, int count)
{
    ObjectList::iterator it;
    for (int i = 0; i < count; i++) {
        ObjectList & list = *lists[i];
        for (it = list.begin(); it != list.end(); ++it) {
            FrameObject * instance = it->obj;
            if (instance->flags & DESTROYING)
                continue;
            instance->update_inactive();
            if (instance->flags & INACTIVE)
                continue;
            ((Active*)instance)->update();
            if (instance->movement)
                instance->movement->update();
        }
    }
}
void Frames::update_objects()
{
    update_active_4(update_active_4_list, 1);
    update_active_2(update_active_2_list, 11);
    update_active_3(update_active_3_list, 25);
    update_active_0(update_active_0_list, 131);
    update_active_1(update_active_1_list, 58);
    ObjectList * special_list[1];
    switch (index) {
        case 0:
            special_list[0] = &active11_12_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active6_7_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active13_14_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active15_16_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active5_6_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active3_4_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active16_17_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active8_9_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active7_8_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_1(special_list, 1);
            break;
        case 1:
            special_list[0] = &active6_7_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_1(special_list, 1);
            break;
        case 2:
            special_list[0] = &active11_12_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active6_7_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active13_14_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active15_16_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active10_39_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active5_6_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active3_4_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_0(special_list, 1);
            special_list[0] = &camerachaser_47_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active16_17_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active8_9_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active7_8_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_1(special_list, 1);
            break;
        case 3:
            special_list[0] = &active6_7_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active5_6_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active3_4_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active34_93_instances;
            update_active_2(special_list, 1);
            special_list[0] = &notregular_95_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active8_9_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active7_8_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_1(special_list, 1);
            break;
        case 4:
            special_list[0] = &notregular_95_instances;
            update_active_1(special_list, 1);
            break;
        case 5:
            special_list[0] = &active11_12_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active6_7_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active13_14_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active10_39_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active5_6_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active3_4_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_0(special_list, 1);
            special_list[0] = &camerachaser_47_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active8_9_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active7_8_instances;
            update_active_0(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_0(special_list, 1);
            break;
        case 6:
            special_list[0] = &active3_4_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active34_93_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_2(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_1(special_list, 1);
            break;
        case 7:
            special_list[0] = &active4_5_instances;
            update_active_1(special_list, 1);
            break;
        case 8:
            special_list[0] = &active5_6_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active3_4_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active_1_instances;
            update_active_1(special_list, 1);
            break;
        case 9:
            special_list[0] = &active5_6_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active3_4_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active4_5_instances;
            update_active_1(special_list, 1);
            special_list[0] = &active2_2_instances;
            update_active_2(special_list, 1);
            break;
    }
}
Frames::Frames()
: Frame()
{
    update_active_4_list[0] = &active3_28_instances;
    update_active_2_list[0] = &objspawnergear_311_instances;
    update_active_2_list[1] = &afterimager_144_instances;
    update_active_2_list[2] = &fanblock_146_instances;
    update_active_2_list[3] = &active33_92_instances;
    update_active_2_list[4] = &bgshadow3_99_instances;
    update_active_2_list[5] = &uihelpbubble_298_instances;
    update_active_2_list[6] = &background_151_instances;
    update_active_2_list[7] = &bgshadow4_97_instances;
    update_active_2_list[8] = &bgshadow3_98_instances;
    update_active_2_list[9] = &afterimagel2_145_instances;
    update_active_2_list[10] = &debris_204_instances;
    update_active_3_list[0] = &enemysmasher_331_instances;
    update_active_3_list[1] = &enemylonestarnew_300_instances;
    update_active_3_list[2] = &enemypath_177_instances;
    update_active_3_list[3] = &bgparticles_320_instances;
    update_active_3_list[4] = &enemyfloater_187_instances;
    update_active_3_list[5] = &enemyblobululephase1_233_instances;
    update_active_3_list[6] = &enemyhomingcog_283_instances;
    update_active_3_list[7] = &dropposhot_245_instances;
    update_active_3_list[8] = &enemybrokenrobot_214_instances;
    update_active_3_list[9] = &enemyblobululephase2_234_instances;
    update_active_3_list[10] = &enemyronaldgrantbrook_328_instances;
    update_active_3_list[11] = &enemydroppo_244_instances;
    update_active_3_list[12] = &enemyflashbullet_190_instances;
    update_active_3_list[13] = &enemyboxman_284_instances;
    update_active_3_list[14] = &enemygearoflaw_286_instances;
    update_active_3_list[15] = &enemypithopper_327_instances;
    update_active_3_list[16] = &homept1_227_instances;
    update_active_3_list[17] = &enemyrockiship_249_instances;
    update_active_3_list[18] = &enemyshield_323_instances;
    update_active_3_list[19] = &enemydangerned_239_instances;
    update_active_3_list[20] = &active2_172_instances;
    update_active_3_list[21] = &spikeshooter_169_instances;
    update_active_3_list[22] = &homept2_228_instances;
    update_active_3_list[23] = &enemyhoppy_174_instances;
    update_active_3_list[24] = &enemylaser_224_instances;
    update_active_0_list[0] = &objenemybounce_237_instances;
    update_active_0_list[1] = &screen_170_instances;
    update_active_0_list[2] = &objectdashblockright_211_instances;
    update_active_0_list[3] = &enemychomper_206_instances;
    update_active_0_list[4] = &spawnerpithopper_326_instances;
    update_active_0_list[5] = &sendleft_180_instances;
    update_active_0_list[6] = &counterspawner_226_instances;
    update_active_0_list[7] = &lockxy_157_instances;
    update_active_0_list[8] = &enemyexplosion_200_instances;
    update_active_0_list[9] = &detector_116_instances;
    update_active_0_list[10] = &enemymobilebrohoriz_236_instances;
    update_active_0_list[11] = &objectdashblockup_213_instances;
    update_active_0_list[12] = &objcogblock_287_instances;
    update_active_0_list[13] = &enemyevileye_266_instances;
    update_active_0_list[14] = &enemylaserbean_307_instances;
    update_active_0_list[15] = &enemydown_182_instances;
    update_active_0_list[16] = &objlasergun_223_instances;
    update_active_0_list[17] = &conveyorr_123_instances;
    update_active_0_list[18] = &objgarbagedestroyer_302_instances;
    update_active_0_list[19] = &yonlyscroll_156_instances;
    update_active_0_list[20] = &spawnerzappa_243_instances;
    update_active_0_list[21] = &camerabarriery_276_instances;
    update_active_0_list[22] = &sendup_176_instances;
    update_active_0_list[23] = &spawnermobilebro_238_instances;
    update_active_0_list[24] = &tntstatic_153_instances;
    update_active_0_list[25] = &objnewcrate_296_instances;
    update_active_0_list[26] = &bulletpowerup_212_instances;
    update_active_0_list[27] = &camerabarrierx_273_instances;
    update_active_0_list[28] = &bullet_143_instances;
    update_active_0_list[29] = &objcheckpoint_112_instances;
    update_active_0_list[30] = &enemycannon_189_instances;
    update_active_0_list[31] = &spawnersmasher_332_instances;
    update_active_0_list[32] = &uiflag_263_instances;
    update_active_0_list[33] = &vertspawner_232_instances;
    update_active_0_list[34] = &enemycannonroot_309_instances;
    update_active_0_list[35] = &spawnerenemychomper_209_instances;
    update_active_0_list[36] = &door_125_instances;
    update_active_0_list[37] = &hoverer_158_instances;
    update_active_0_list[38] = &spawnerbouncingball_329_instances;
    update_active_0_list[39] = &bigexplosion_199_instances;
    update_active_0_list[40] = &objlasergunorange_278_instances;
    update_active_0_list[41] = &spawnercannon_319_instances;
    update_active_0_list[42] = &sendright_178_instances;
    update_active_0_list[43] = &spawnerwalker_219_instances;
    update_active_0_list[44] = &explosion_152_instances;
    update_active_0_list[45] = &vertdetector_129_instances;
    update_active_0_list[46] = &enemylonestar_255_instances;
    update_active_0_list[47] = &floaterspawner_188_instances;
    update_active_0_list[48] = &enemyboxspawner_285_instances;
    update_active_0_list[49] = &obscuretastictiles_139_instances;
    update_active_0_list[50] = &key_124_instances;
    update_active_0_list[51] = &springleft_185_instances;
    update_active_0_list[52] = &dissappear_175_instances;
    update_active_0_list[53] = &ojbwings_221_instances;
    update_active_0_list[54] = &sprite_121_instances;
    update_active_0_list[55] = &spawnerboxman_295_instances;
    update_active_0_list[56] = &hurter_154_instances;
    update_active_0_list[57] = &spikesright_195_instances;
    update_active_0_list[58] = &screencamlayerlg_274_instances;
    update_active_0_list[59] = &vertplatform_128_instances;
    update_active_0_list[60] = &horizspawner_231_instances;
    update_active_0_list[61] = &objectdashblockleft_210_instances;
    update_active_0_list[62] = &lgflattener_141_instances;
    update_active_0_list[63] = &spring_126_instances;
    update_active_0_list[64] = &objectdashblockall_330_instances;
    update_active_0_list[65] = &enemyup_184_instances;
    update_active_0_list[66] = &objkillplane_261_instances;
    update_active_0_list[67] = &tntconveyor_161_instances;
    update_active_0_list[68] = &spawnerjunkblock_304_instances;
    update_active_0_list[69] = &platform2_120_instances;
    update_active_0_list[70] = &spawneratom_197_instances;
    update_active_0_list[71] = &roadlimit_51_instances;
    update_active_0_list[72] = &spawnerspikyboy_240_instances;
    update_active_0_list[73] = &spikeshooterspawner_171_instances;
    update_active_0_list[74] = &enemybrokenrobotbottom_217_instances;
    update_active_0_list[75] = &bgcog2_291_instances;
    update_active_0_list[76] = &enemyzapball_207_instances;
    update_active_0_list[77] = &springright_186_instances;
    update_active_0_list[78] = &objtntspawner_260_instances;
    update_active_0_list[79] = &enemysentry_306_instances;
    update_active_0_list[80] = &pipe_160_instances;
    update_active_0_list[81] = &trapdoor_137_instances;
    update_active_0_list[82] = &conveyorl_122_instances;
    update_active_0_list[83] = &objbonustime_280_instances;
    update_active_0_list[84] = &hurtbox_196_instances;
    update_active_0_list[85] = &objenemygate_257_instances;
    update_active_0_list[86] = &enemyzappa_242_instances;
    update_active_0_list[87] = &spawnerhoppy_173_instances;
    update_active_0_list[88] = &enemybrokenrobottop_216_instances;
    update_active_0_list[89] = &spawnerbouncycog_293_instances;
    update_active_0_list[90] = &objfan_147_instances;
    update_active_0_list[91] = &spikesbottom_193_instances;
    update_active_0_list[92] = &spawnerevileye_267_instances;
    update_active_0_list[93] = &objcheckpointspawner_252_instances;
    update_active_0_list[94] = &enemyleft_183_instances;
    update_active_0_list[95] = &spawnerdropbro_303_instances;
    update_active_0_list[96] = &movingplatform_119_instances;
    update_active_0_list[97] = &enemytoolio_282_instances;
    update_active_0_list[98] = &helpdesk_136_instances;
    update_active_0_list[99] = &enemyatom_198_instances;
    update_active_0_list[100] = &spawnerlonestar_256_instances;
    update_active_0_list[101] = &objcollisionbox_318_instances;
    update_active_0_list[102] = &enemywalker_218_instances;
    update_active_0_list[103] = &spikesleft_192_instances;
    update_active_0_list[104] = &objshootspawner_254_instances;
    update_active_0_list[105] = &detectorbelow_289_instances;
    update_active_0_list[106] = &boxdestroyer_159_instances;
    update_active_0_list[107] = &objbonusdeathless_279_instances;
    update_active_0_list[108] = &spawnerenemyshield_325_instances;
    update_active_0_list[109] = &senddown_179_instances;
    update_active_0_list[110] = &enemytickbomb_225_instances;
    update_active_0_list[111] = &objliftreverse_201_instances;
    update_active_0_list[112] = &objcratestopper_258_instances;
    update_active_0_list[113] = &screenfar_299_instances;
    update_active_0_list[114] = &spawnerbrokenrobot_215_instances;
    update_active_0_list[115] = &player_115_instances;
    update_active_0_list[116] = &spawnerscrewthrower_294_instances;
    update_active_0_list[117] = &spikestop_194_instances;
    update_active_0_list[118] = &enemygoo_235_instances;
    update_active_0_list[119] = &spawnersnipereye_268_instances;
    update_active_0_list[120] = &spawnertoggleblock_314_instances;
    update_active_0_list[121] = &objjunkblock_288_instances;
    update_active_0_list[122] = &spawnerrockitship_250_instances;
    update_active_0_list[123] = &enemyright_181_instances;
    update_active_0_list[124] = &enemyfirebar_324_instances;
    update_active_0_list[125] = &enemyspawnerhoppy_301_instances;
    update_active_0_list[126] = &xonlyscroll_155_instances;
    update_active_0_list[127] = &platform_117_instances;
    update_active_0_list[128] = &screencamlayercamera_275_instances;
    update_active_0_list[129] = &objwatertop_150_instances;
    update_active_0_list[130] = &objeyeblock_191_instances;
    update_active_1_list[0] = &cameratarget_106_instances;
    update_active_1_list[1] = &active29_86_instances;
    update_active_1_list[2] = &bgcog1_290_instances;
    update_active_1_list[3] = &active26_80_instances;
    update_active_1_list[4] = &kb_11_instances;
    update_active_1_list[5] = &active12_13_instances;
    update_active_1_list[6] = &caseclosed_333_instances;
    update_active_1_list[7] = &active9_10_instances;
    update_active_1_list[8] = &active18_19_instances;
    update_active_1_list[9] = &framevars_352_instances;
    update_active_1_list[10] = &devil_365_instances;
    update_active_1_list[11] = &active25_76_instances;
    update_active_1_list[12] = &active17_18_instances;
    update_active_1_list[13] = &active14_15_instances;
    update_active_1_list[14] = &graphicscreenshake_69_instances;
    update_active_1_list[15] = &active31_88_instances;
    update_active_1_list[16] = &graphicdashtype_65_instances;
    update_active_1_list[17] = &healthbar2_208_instances;
    update_active_1_list[18] = &active24_75_instances;
    update_active_1_list[19] = &text_341_instances;
    update_active_1_list[20] = &active20_70_instances;
    update_active_1_list[21] = &segment3_315_instances;
    update_active_1_list[22] = &active32_90_instances;
    update_active_1_list[23] = &control_21_instances;
    update_active_1_list[24] = &menudatastore_64_instances;
    update_active_1_list[25] = &musicslider_77_instances;
    update_active_1_list[26] = &uilivesactive_281_instances;
    update_active_1_list[27] = &paper_340_instances;
    update_active_1_list[28] = &camera_46_instances;
    update_active_1_list[29] = &active30_87_instances;
    update_active_1_list[30] = &healthbar_166_instances;
    update_active_1_list[31] = &active19_20_instances;
    update_active_1_list[32] = &winscreenvars_347_instances;
    update_active_1_list[33] = &spritewings_222_instances;
    update_active_1_list[34] = &anchor_27_instances;
    update_active_1_list[35] = &segment4_316_instances;
    update_active_1_list[36] = &overlay2_22_instances;
    update_active_1_list[37] = &segment2_313_instances;
    update_active_1_list[38] = &rando_42_instances;
    update_active_1_list[39] = &bgwheel_262_instances;
    update_active_1_list[40] = &signature_349_instances;
    update_active_1_list[41] = &musicsliderindicator_78_instances;
    update_active_1_list[42] = &lginitpos_52_instances;
    update_active_1_list[43] = &active22_72_instances;
    update_active_1_list[44] = &roadmaker_49_instances;
    update_active_1_list[45] = &camerashaker_269_instances;
    update_active_1_list[46] = &active28_85_instances;
    update_active_1_list[47] = &segment1_312_instances;
    update_active_1_list[48] = &framedatastore_205_instances;
    update_active_1_list[49] = &inputcoordinatorsecretary_138_instances;
    update_active_1_list[50] = &active23_74_instances;
    update_active_1_list[51] = &menuvars_335_instances;
    update_active_1_list[52] = &blockmaker_48_instances;
    update_active_1_list[53] = &healthbarbg_168_instances;
    update_active_1_list[54] = &active27_84_instances;
    update_active_1_list[55] = &prmopt_350_instances;
    update_active_1_list[56] = &uipowerupindicator_265_instances;
    update_active_1_list[57] = &active21_71_instances;
}
void Frames::set_index(int index)
{
    static Frame1 frame1;
    static Frame2 frame2;
    static Frame3 frame3;
    static Frame4 frame4;
    static Frame5 frame5;
    static Frame6 frame6;
    static Frame7 frame7;
    static Frame8 frame8;
    static Frame9 frame9;
    static Frame10 frame10;
    switch (index) {
        case 0:
            data = &frame1;
            break;
        case 1:
            data = &frame2;
            break;
        case 2:
            data = &frame3;
            break;
        case 3:
            data = &frame4;
            break;
        case 4:
            data = &frame5;
            break;
        case 5:
            data = &frame6;
            break;
        case 6:
            data = &frame7;
            break;
        case 7:
            data = &frame8;
            break;
        case 8:
            data = &frame9;
            break;
        case 9:
            data = &frame10;
            break;
        default:
            data = NULL;
            break;
    }
}
