#include "objects.h"
#include "common.h"
#include "fonts.h"
#include "font.h"
#include "lists.h"

class String7_0 : public Text
{
public:
    String7_0(int x, int y) : Text(x, y, String7_0_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 7", 8);
#endif
        flags &= ~SCROLL;
        width = 140;
        height = 13;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Warning: this game is very difficult.", 37));
        create_alterables();
    }
};
FrameObject * create_string7_0(int x, int y)
{
    return new (Text::pool.create()) String7_0(x, y);
}
static Image* images_active_1_0_0[1];
static Direction direction_active_1_0_0 = {0, 50, 50, 0, 1, 1, images_active_1_0_0};
static Animation anim_active_1_0 = {&direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, NULL, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0, &direction_active_1_0_0};
static Animation * anim_array_active_1[1] = {&anim_active_1_0};
static Animations anim_active_1 = {1, &anim_array_active_1[0]};
static bool anim_active_1_initialized;
class Active_1 : public Active
{
public:
    Active_1(int x, int y) : Active(x, y, Active_1_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_1;
        if (!anim_active_1_initialized) {
            anim_active_1_initialized = true;
            images_active_1_0_0[0] = get_internal_image_direct(1187);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_1(int x, int y)
{
    return new (Active::pool.create()) Active_1(x, y);
}
static Image* images_active2_2_0_0[1];
static Direction direction_active2_2_0_0 = {0, 50, 50, 0, 1, 1, images_active2_2_0_0};
static Animation anim_active2_2_0 = {&direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, NULL, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0, &direction_active2_2_0_0};
static Animation * anim_array_active2_2[1] = {&anim_active2_2_0};
static Animations anim_active2_2 = {1, &anim_array_active2_2[0]};
static bool anim_active2_2_initialized;
class Active2_2 : public Active
{
public:
    Active2_2(int x, int y) : Active(x, y, Active2_2_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_2;
        if (!anim_active2_2_initialized) {
            anim_active2_2_initialized = true;
            images_active2_2_0_0[0] = get_internal_image_direct(1185);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_2(int x, int y)
{
    return new (Active::pool.create()) Active2_2(x, y);
}
class String8_3 : public Text
{
public:
    String8_3(int x, int y) : Text(x, y, String8_3_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 8", 8);
#endif
        flags &= ~SCROLL;
        width = 140;
        height = 13;
        blend_color = Color(255, 255, 0);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Pause", 5));
        create_alterables();
    }
};
FrameObject * create_string8_3(int x, int y)
{
    return new (Text::pool.create()) String8_3(x, y);
}
static Image* images_active3_4_0_0[1];
static Direction direction_active3_4_0_0 = {0, 50, 50, 0, 1, 1, images_active3_4_0_0};
static Animation anim_active3_4_0 = {&direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, NULL, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0, &direction_active3_4_0_0};
static Animation * anim_array_active3_4[1] = {&anim_active3_4_0};
static Animations anim_active3_4 = {1, &anim_array_active3_4[0]};
static bool anim_active3_4_initialized;
class Active3_4 : public Active
{
public:
    Active3_4(int x, int y) : Active(x, y, Active3_4_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_4;
        if (!anim_active3_4_initialized) {
            anim_active3_4_initialized = true;
            images_active3_4_0_0[0] = get_internal_image_direct(1193);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_4(int x, int y)
{
    return new (Active::pool.create()) Active3_4(x, y);
}
static Image* images_active4_5_0_0[1];
static Direction direction_active4_5_0_0 = {0, 50, 50, 0, 1, 1, images_active4_5_0_0};
static Animation anim_active4_5_0 = {&direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, NULL, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0, &direction_active4_5_0_0};
static Animation * anim_array_active4_5[1] = {&anim_active4_5_0};
static Animations anim_active4_5 = {1, &anim_array_active4_5[0]};
static bool anim_active4_5_initialized;
class Active4_5 : public Active
{
public:
    Active4_5(int x, int y) : Active(x, y, Active4_5_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_5;
        if (!anim_active4_5_initialized) {
            anim_active4_5_initialized = true;
            images_active4_5_0_0[0] = get_internal_image_direct(1194);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_5(int x, int y)
{
    return new (Active::pool.create()) Active4_5(x, y);
}
static Image* images_active5_6_0_0[1];
static Direction direction_active5_6_0_0 = {0, 50, 50, 0, 1, 1, images_active5_6_0_0};
static Animation anim_active5_6_0 = {&direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, NULL, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0, &direction_active5_6_0_0};
static Animation * anim_array_active5_6[1] = {&anim_active5_6_0};
static Animations anim_active5_6 = {1, &anim_array_active5_6[0]};
static bool anim_active5_6_initialized;
class Active5_6 : public Active
{
public:
    Active5_6(int x, int y) : Active(x, y, Active5_6_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 5", 8);
#endif
        this->animations = &anim_active5_6;
        if (!anim_active5_6_initialized) {
            anim_active5_6_initialized = true;
            images_active5_6_0_0[0] = get_internal_image_direct(1195);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active5_6(int x, int y)
{
    return new (Active::pool.create()) Active5_6(x, y);
}
static Image* images_active6_7_0_0[1];
static Direction direction_active6_7_0_0 = {0, 50, 50, 0, 1, 1, images_active6_7_0_0};
static Animation anim_active6_7_0 = {&direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, NULL, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0, &direction_active6_7_0_0};
static Animation * anim_array_active6_7[1] = {&anim_active6_7_0};
static Animations anim_active6_7 = {1, &anim_array_active6_7[0]};
static bool anim_active6_7_initialized;
class Active6_7 : public Active
{
public:
    Active6_7(int x, int y) : Active(x, y, Active6_7_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_7;
        if (!anim_active6_7_initialized) {
            anim_active6_7_initialized = true;
            images_active6_7_0_0[0] = get_internal_image_direct(1191);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_7(int x, int y)
{
    return new (Active::pool.create()) Active6_7(x, y);
}
static Image* images_active7_8_0_0[1];
static Direction direction_active7_8_0_0 = {0, 50, 50, 0, 1, 1, images_active7_8_0_0};
static Animation anim_active7_8_0 = {&direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, NULL, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0, &direction_active7_8_0_0};
static Animation * anim_array_active7_8[1] = {&anim_active7_8_0};
static Animations anim_active7_8 = {1, &anim_array_active7_8[0]};
static bool anim_active7_8_initialized;
class Active7_8 : public Active
{
public:
    Active7_8(int x, int y) : Active(x, y, Active7_8_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 7", 8);
#endif
        this->animations = &anim_active7_8;
        if (!anim_active7_8_initialized) {
            anim_active7_8_initialized = true;
            images_active7_8_0_0[0] = get_internal_image_direct(1196);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active7_8(int x, int y)
{
    return new (Active::pool.create()) Active7_8(x, y);
}
static Image* images_active8_9_0_0[1];
static Direction direction_active8_9_0_0 = {0, 50, 50, 0, 1, 1, images_active8_9_0_0};
static Animation anim_active8_9_0 = {&direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, NULL, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0, &direction_active8_9_0_0};
static Animation * anim_array_active8_9[1] = {&anim_active8_9_0};
static Animations anim_active8_9 = {1, &anim_array_active8_9[0]};
static bool anim_active8_9_initialized;
class Active8_9 : public Active
{
public:
    Active8_9(int x, int y) : Active(x, y, Active8_9_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 8", 8);
#endif
        this->animations = &anim_active8_9;
        if (!anim_active8_9_initialized) {
            anim_active8_9_initialized = true;
            images_active8_9_0_0[0] = get_internal_image_direct(1197);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active8_9(int x, int y)
{
    return new (Active::pool.create()) Active8_9(x, y);
}
static Image* images_active9_10_0_0[1];
static Direction direction_active9_10_0_0 = {0, 50, 50, 0, 1, 1, images_active9_10_0_0};
static Animation anim_active9_10_0 = {&direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, NULL, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0, &direction_active9_10_0_0};
static Animation * anim_array_active9_10[1] = {&anim_active9_10_0};
static Animations anim_active9_10 = {1, &anim_array_active9_10[0]};
static bool anim_active9_10_initialized;
class Active9_10 : public Active
{
public:
    Active9_10(int x, int y) : Active(x, y, Active9_10_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 9", 8);
#endif
        this->animations = &anim_active9_10;
        if (!anim_active9_10_initialized) {
            anim_active9_10_initialized = true;
            images_active9_10_0_0[0] = get_internal_image_direct(1190);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active9_10(int x, int y)
{
    return new (Active::pool.create()) Active9_10(x, y);
}
static Image* images_kb_11_0_0[2];
static Direction direction_kb_11_0_0 = {0, 3, 3, 0, -1, 2, images_kb_11_0_0};
static Animation anim_kb_11_0 = {&direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, NULL, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0, &direction_kb_11_0_0};
static Animation * anim_array_kb_11[1] = {&anim_kb_11_0};
static Animations anim_kb_11 = {1, &anim_array_kb_11[0]};
static bool anim_kb_11_initialized;
class Kb_11 : public Active
{
public:
    Kb_11(int x, int y) : Active(x, y, Kb_11_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("kb", 2);
#endif
        this->animations = &anim_kb_11;
        if (!anim_kb_11_initialized) {
            anim_kb_11_initialized = true;
            images_kb_11_0_0[0] = get_internal_image_direct(1215);
            images_kb_11_0_0[1] = get_internal_image_direct(1214);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_kb_11(int x, int y)
{
    return new (Active::pool.create()) Kb_11(x, y);
}
static Image* images_active11_12_0_0[1];
static Direction direction_active11_12_0_0 = {0, 50, 50, 0, 1, 1, images_active11_12_0_0};
static Animation anim_active11_12_0 = {&direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, NULL, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0, &direction_active11_12_0_0};
static Animation * anim_array_active11_12[1] = {&anim_active11_12_0};
static Animations anim_active11_12 = {1, &anim_array_active11_12[0]};
static bool anim_active11_12_initialized;
class Active11_12 : public Active
{
public:
    Active11_12(int x, int y) : Active(x, y, Active11_12_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 11", 9);
#endif
        this->animations = &anim_active11_12;
        if (!anim_active11_12_initialized) {
            anim_active11_12_initialized = true;
            images_active11_12_0_0[0] = get_internal_image_direct(1204);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active11_12(int x, int y)
{
    return new (Active::pool.create()) Active11_12(x, y);
}
static Image* images_active12_13_0_0[1];
static Direction direction_active12_13_0_0 = {0, 50, 50, 0, 1, 1, images_active12_13_0_0};
static Animation anim_active12_13_0 = {&direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, NULL, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0, &direction_active12_13_0_0};
static Animation * anim_array_active12_13[1] = {&anim_active12_13_0};
static Animations anim_active12_13 = {1, &anim_array_active12_13[0]};
static bool anim_active12_13_initialized;
class Active12_13 : public Active
{
public:
    Active12_13(int x, int y) : Active(x, y, Active12_13_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 12", 9);
#endif
        this->animations = &anim_active12_13;
        if (!anim_active12_13_initialized) {
            anim_active12_13_initialized = true;
            images_active12_13_0_0[0] = get_internal_image_direct(1199);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active12_13(int x, int y)
{
    return new (Active::pool.create()) Active12_13(x, y);
}
static Image* images_active13_14_0_0[1];
static Direction direction_active13_14_0_0 = {0, 50, 50, 0, 1, 1, images_active13_14_0_0};
static Animation anim_active13_14_0 = {&direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, NULL, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0, &direction_active13_14_0_0};
static Animation * anim_array_active13_14[1] = {&anim_active13_14_0};
static Animations anim_active13_14 = {1, &anim_array_active13_14[0]};
static bool anim_active13_14_initialized;
class Active13_14 : public Active
{
public:
    Active13_14(int x, int y) : Active(x, y, Active13_14_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 13", 9);
#endif
        this->animations = &anim_active13_14;
        if (!anim_active13_14_initialized) {
            anim_active13_14_initialized = true;
            images_active13_14_0_0[0] = get_internal_image_direct(1202);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active13_14(int x, int y)
{
    return new (Active::pool.create()) Active13_14(x, y);
}
static Image* images_active14_15_0_0[1];
static Direction direction_active14_15_0_0 = {0, 50, 50, 0, 1, 1, images_active14_15_0_0};
static Animation anim_active14_15_0 = {&direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, NULL, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0, &direction_active14_15_0_0};
static Animation * anim_array_active14_15[1] = {&anim_active14_15_0};
static Animations anim_active14_15 = {1, &anim_array_active14_15[0]};
static bool anim_active14_15_initialized;
class Active14_15 : public Active
{
public:
    Active14_15(int x, int y) : Active(x, y, Active14_15_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 14", 9);
#endif
        this->animations = &anim_active14_15;
        if (!anim_active14_15_initialized) {
            anim_active14_15_initialized = true;
            images_active14_15_0_0[0] = get_internal_image_direct(1203);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active14_15(int x, int y)
{
    return new (Active::pool.create()) Active14_15(x, y);
}
static Image* images_active15_16_0_0[1];
static Direction direction_active15_16_0_0 = {0, 50, 50, 0, 1, 1, images_active15_16_0_0};
static Animation anim_active15_16_0 = {&direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, NULL, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0, &direction_active15_16_0_0};
static Animation * anim_array_active15_16[1] = {&anim_active15_16_0};
static Animations anim_active15_16 = {1, &anim_array_active15_16[0]};
static bool anim_active15_16_initialized;
class Active15_16 : public Active
{
public:
    Active15_16(int x, int y) : Active(x, y, Active15_16_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 15", 9);
#endif
        this->animations = &anim_active15_16;
        if (!anim_active15_16_initialized) {
            anim_active15_16_initialized = true;
            images_active15_16_0_0[0] = get_internal_image_direct(1192);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active15_16(int x, int y)
{
    return new (Active::pool.create()) Active15_16(x, y);
}
static Image* images_active16_17_0_0[1];
static Direction direction_active16_17_0_0 = {0, 50, 50, 0, 1, 1, images_active16_17_0_0};
static Animation anim_active16_17_0 = {&direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, NULL, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0, &direction_active16_17_0_0};
static Animation * anim_array_active16_17[1] = {&anim_active16_17_0};
static Animations anim_active16_17 = {1, &anim_array_active16_17[0]};
static bool anim_active16_17_initialized;
class Active16_17 : public Active
{
public:
    Active16_17(int x, int y) : Active(x, y, Active16_17_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 16", 9);
#endif
        this->animations = &anim_active16_17;
        if (!anim_active16_17_initialized) {
            anim_active16_17_initialized = true;
            images_active16_17_0_0[0] = get_internal_image_direct(1191);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active16_17(int x, int y)
{
    return new (Active::pool.create()) Active16_17(x, y);
}
static Image* images_active17_18_0_0[1];
static Direction direction_active17_18_0_0 = {0, 50, 50, 0, 1, 1, images_active17_18_0_0};
static Animation anim_active17_18_0 = {&direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, NULL, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0, &direction_active17_18_0_0};
static Animation * anim_array_active17_18[1] = {&anim_active17_18_0};
static Animations anim_active17_18 = {1, &anim_array_active17_18[0]};
static bool anim_active17_18_initialized;
class Active17_18 : public Active
{
public:
    Active17_18(int x, int y) : Active(x, y, Active17_18_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 17", 9);
#endif
        this->animations = &anim_active17_18;
        if (!anim_active17_18_initialized) {
            anim_active17_18_initialized = true;
            images_active17_18_0_0[0] = get_internal_image_direct(1198);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active17_18(int x, int y)
{
    return new (Active::pool.create()) Active17_18(x, y);
}
static Image* images_active18_19_0_0[1];
static Direction direction_active18_19_0_0 = {0, 50, 50, 0, 1, 1, images_active18_19_0_0};
static Animation anim_active18_19_0 = {&direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, NULL, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0, &direction_active18_19_0_0};
static Animation * anim_array_active18_19[1] = {&anim_active18_19_0};
static Animations anim_active18_19 = {1, &anim_array_active18_19[0]};
static bool anim_active18_19_initialized;
class Active18_19 : public Active
{
public:
    Active18_19(int x, int y) : Active(x, y, Active18_19_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 18", 9);
#endif
        this->animations = &anim_active18_19;
        if (!anim_active18_19_initialized) {
            anim_active18_19_initialized = true;
            images_active18_19_0_0[0] = get_internal_image_direct(1201);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active18_19(int x, int y)
{
    return new (Active::pool.create()) Active18_19(x, y);
}
static Image* images_active19_20_0_0[1];
static Direction direction_active19_20_0_0 = {0, 50, 50, 0, 1, 1, images_active19_20_0_0};
static Animation anim_active19_20_0 = {&direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, NULL, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0, &direction_active19_20_0_0};
static Animation * anim_array_active19_20[1] = {&anim_active19_20_0};
static Animations anim_active19_20 = {1, &anim_array_active19_20[0]};
static bool anim_active19_20_initialized;
class Active19_20 : public Active
{
public:
    Active19_20(int x, int y) : Active(x, y, Active19_20_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 19", 9);
#endif
        this->animations = &anim_active19_20;
        if (!anim_active19_20_initialized) {
            anim_active19_20_initialized = true;
            images_active19_20_0_0[0] = get_internal_image_direct(1205);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active19_20(int x, int y)
{
    return new (Active::pool.create()) Active19_20(x, y);
}
static Image* images_control_21_0_0[2];
static Direction direction_control_21_0_0 = {0, 3, 3, 0, -1, 2, images_control_21_0_0};
static Animation anim_control_21_0 = {&direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, NULL, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0, &direction_control_21_0_0};
static Animation * anim_array_control_21[1] = {&anim_control_21_0};
static Animations anim_control_21 = {1, &anim_array_control_21[0]};
static bool anim_control_21_initialized;
class Control_21 : public Active
{
public:
    Control_21(int x, int y) : Active(x, y, Control_21_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("control", 7);
#endif
        this->animations = &anim_control_21;
        if (!anim_control_21_initialized) {
            anim_control_21_initialized = true;
            images_control_21_0_0[0] = get_internal_image_direct(1521);
            images_control_21_0_0[1] = get_internal_image_direct(34);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(0, 640);
    }
};
FrameObject * create_control_21(int x, int y)
{
    return new (Active::pool.create()) Control_21(x, y);
}
static Image* images_overlay2_22_0_0[1];
static Direction direction_overlay2_22_0_0 = {0, 50, 50, 0, -1, 1, images_overlay2_22_0_0};
static Animation anim_overlay2_22_0 = {&direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, NULL, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0, &direction_overlay2_22_0_0};
static Image* images_overlay2_22_12_0[1];
static Direction direction_overlay2_22_12_0 = {0, 50, 50, 0, -1, 1, images_overlay2_22_12_0};
static Animation anim_overlay2_22_12 = {&direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, NULL, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0, &direction_overlay2_22_12_0};
static Animation * anim_array_overlay2_22[13] = {&anim_overlay2_22_0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, &anim_overlay2_22_12};
static Animations anim_overlay2_22 = {13, &anim_array_overlay2_22[0]};
static bool anim_overlay2_22_initialized;
class Overlay2_22 : public Active
{
public:
    Overlay2_22(int x, int y) : Active(x, y, Overlay2_22_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Overlay 2", 9);
#endif
        this->animations = &anim_overlay2_22;
        if (!anim_overlay2_22_initialized) {
            anim_overlay2_22_initialized = true;
            images_overlay2_22_0_0[0] = get_internal_image_direct(979);
            images_overlay2_22_12_0[0] = get_internal_image_direct(980);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_overlay2_22(int x, int y)
{
    return new (Active::pool.create()) Overlay2_22(x, y);
}
static Image* images_active_24_0_0[1];
static Direction direction_active_24_0_0 = {0, 50, 50, 0, 1, 1, images_active_24_0_0};
static Animation anim_active_24_0 = {&direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, NULL, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0, &direction_active_24_0_0};
static Animation * anim_array_active_24[1] = {&anim_active_24_0};
static Animations anim_active_24 = {1, &anim_array_active_24[0]};
static bool anim_active_24_initialized;
class Active_24 : public Active
{
public:
    Active_24(int x, int y) : Active(x, y, Active_24_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_24;
        if (!anim_active_24_initialized) {
            anim_active_24_initialized = true;
            images_active_24_0_0[0] = get_internal_image_direct(342);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_24(int x, int y)
{
    return new (Active::pool.create()) Active_24(x, y);
}
static Image* images_active6_25_0_0[1];
static Direction direction_active6_25_0_0 = {0, 50, 50, 0, 1, 1, images_active6_25_0_0};
static Animation anim_active6_25_0 = {&direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, NULL, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0, &direction_active6_25_0_0};
static Animation * anim_array_active6_25[1] = {&anim_active6_25_0};
static Animations anim_active6_25 = {1, &anim_array_active6_25[0]};
static bool anim_active6_25_initialized;
class Active6_25 : public Active
{
public:
    Active6_25(int x, int y) : Active(x, y, Active6_25_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_25;
        if (!anim_active6_25_initialized) {
            anim_active6_25_initialized = true;
            images_active6_25_0_0[0] = get_internal_image_direct(453);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_25(int x, int y)
{
    return new (Active::pool.create()) Active6_25(x, y);
}
static Image* images_active2_26_0_0[1];
static Direction direction_active2_26_0_0 = {0, 50, 50, 0, 1, 1, images_active2_26_0_0};
static Animation anim_active2_26_0 = {&direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, NULL, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0, &direction_active2_26_0_0};
static Animation * anim_array_active2_26[1] = {&anim_active2_26_0};
static Animations anim_active2_26 = {1, &anim_array_active2_26[0]};
static bool anim_active2_26_initialized;
class Active2_26 : public Active
{
public:
    Active2_26(int x, int y) : Active(x, y, Active2_26_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_26;
        if (!anim_active2_26_initialized) {
            anim_active2_26_initialized = true;
            images_active2_26_0_0[0] = get_internal_image_direct(498);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_26(int x, int y)
{
    return new (Active::pool.create()) Active2_26(x, y);
}
static Image* images_anchor_27_0_0[1];
static Direction direction_anchor_27_0_0 = {0, 50, 50, 0, 1, 1, images_anchor_27_0_0};
static Animation anim_anchor_27_0 = {&direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, NULL, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0, &direction_anchor_27_0_0};
static Animation * anim_array_anchor_27[1] = {&anim_anchor_27_0};
static Animations anim_anchor_27 = {1, &anim_array_anchor_27[0]};
static bool anim_anchor_27_initialized;
class Anchor_27 : public Active
{
public:
    Anchor_27(int x, int y) : Active(x, y, Anchor_27_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("anchor", 6);
#endif
        set_visible(false);
        this->animations = &anim_anchor_27;
        if (!anim_anchor_27_initialized) {
            anim_anchor_27_initialized = true;
            images_anchor_27_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_anchor_27(int x, int y)
{
    return new (Active::pool.create()) Anchor_27(x, y);
}
static Image* images_active3_28_0_0[1];
static Direction direction_active3_28_0_0 = {0, 50, 50, 0, 1, 1, images_active3_28_0_0};
static Animation anim_active3_28_0 = {&direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, NULL, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0, &direction_active3_28_0_0};
static Animation * anim_array_active3_28[1] = {&anim_active3_28_0};
static Animations anim_active3_28 = {1, &anim_array_active3_28[0]};
static bool anim_active3_28_initialized;
class Active3_28 : public Active
{
public:
    Active3_28(int x, int y) : Active(x, y, Active3_28_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_28;
        if (!anim_active3_28_initialized) {
            anim_active3_28_initialized = true;
            images_active3_28_0_0[0] = get_internal_image_direct(507);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        movement = new BallMovement(this);
        movement->index = 0;
        movement->flags |= Movement::MOVE_AT_START;
        ((BallMovement*)movement)->set_max_speed(0);
        ((BallMovement*)movement)->set_deceleration(0);
        ((BallMovement*)movement)->randomizer = 20;
        ((BallMovement*)movement)->init();
        create_alterables();
    }
};
FrameObject * create_active3_28(int x, int y)
{
    return new (Active::pool.create()) Active3_28(x, y);
}
static Image* images_active4_29_0_0[1];
static Direction direction_active4_29_0_0 = {0, 50, 50, 0, 1, 1, images_active4_29_0_0};
static Animation anim_active4_29_0 = {&direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, NULL, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0, &direction_active4_29_0_0};
static Animation * anim_array_active4_29[1] = {&anim_active4_29_0};
static Animations anim_active4_29 = {1, &anim_array_active4_29[0]};
static bool anim_active4_29_initialized;
class Active4_29 : public Active
{
public:
    Active4_29(int x, int y) : Active(x, y, Active4_29_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        set_visible(false);
        this->animations = &anim_active4_29;
        if (!anim_active4_29_initialized) {
            anim_active4_29_initialized = true;
            images_active4_29_0_0[0] = get_internal_image_direct(510);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_29(int x, int y)
{
    return new (Active::pool.create()) Active4_29(x, y);
}
class Backdrop_30 : public Backdrop
{
public:
    Backdrop_30(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop", 8);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP
        manager.frame->back_instances[BACK_ID_BACKDROP].push_back(this);
#endif
        image = get_internal_image(344);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop_30(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop_30(x, y);
}
static Image* images_active_31_0_0[1];
static Direction direction_active_31_0_0 = {0, 50, 50, 0, 1, 1, images_active_31_0_0};
static Animation anim_active_31_0 = {&direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, NULL, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0, &direction_active_31_0_0};
static Animation * anim_array_active_31[1] = {&anim_active_31_0};
static Animations anim_active_31 = {1, &anim_array_active_31[0]};
static bool anim_active_31_initialized;
class Active_31 : public Active
{
public:
    Active_31(int x, int y) : Active(x, y, Active_31_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_31;
        if (!anim_active_31_initialized) {
            anim_active_31_initialized = true;
            images_active_31_0_0[0] = get_internal_image_direct(385);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 44);
        create_alterables();
    }
};
FrameObject * create_active_31(int x, int y)
{
    return new (Active::pool.create()) Active_31(x, y);
}
static Image* images_active2_32_0_0[1];
static Direction direction_active2_32_0_0 = {0, 50, 50, 0, 1, 1, images_active2_32_0_0};
static Animation anim_active2_32_0 = {&direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, NULL, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0, &direction_active2_32_0_0};
static Animation * anim_array_active2_32[1] = {&anim_active2_32_0};
static Animations anim_active2_32 = {1, &anim_array_active2_32[0]};
static bool anim_active2_32_initialized;
class Active2_32 : public Active
{
public:
    Active2_32(int x, int y) : Active(x, y, Active2_32_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_32;
        if (!anim_active2_32_initialized) {
            anim_active2_32_initialized = true;
            images_active2_32_0_0[0] = get_internal_image_direct(371);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_32(int x, int y)
{
    return new (Active::pool.create()) Active2_32(x, y);
}
static Image* images_active3_33_0_0[1];
static Direction direction_active3_33_0_0 = {0, 50, 50, 0, 1, 1, images_active3_33_0_0};
static Animation anim_active3_33_0 = {&direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, NULL, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0, &direction_active3_33_0_0};
static Animation * anim_array_active3_33[1] = {&anim_active3_33_0};
static Animations anim_active3_33 = {1, &anim_array_active3_33[0]};
static bool anim_active3_33_initialized;
class Active3_33 : public Active
{
public:
    Active3_33(int x, int y) : Active(x, y, Active3_33_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_33;
        if (!anim_active3_33_initialized) {
            anim_active3_33_initialized = true;
            images_active3_33_0_0[0] = get_internal_image_direct(420);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_33(int x, int y)
{
    return new (Active::pool.create()) Active3_33(x, y);
}
static Image* images_active4_34_0_0[1];
static Direction direction_active4_34_0_0 = {0, 50, 50, 0, 1, 1, images_active4_34_0_0};
static Animation anim_active4_34_0 = {&direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, NULL, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0, &direction_active4_34_0_0};
static Animation * anim_array_active4_34[1] = {&anim_active4_34_0};
static Animations anim_active4_34 = {1, &anim_array_active4_34[0]};
static bool anim_active4_34_initialized;
class Active4_34 : public Active
{
public:
    Active4_34(int x, int y) : Active(x, y, Active4_34_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        flags &= ~SCROLL;
        this->animations = &anim_active4_34;
        if (!anim_active4_34_initialized) {
            anim_active4_34_initialized = true;
            images_active4_34_0_0[0] = get_internal_image_direct(386);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_34(int x, int y)
{
    return new (Active::pool.create()) Active4_34(x, y);
}
static Image* images_active5_35_0_0[1];
static Direction direction_active5_35_0_0 = {0, 50, 50, 0, 1, 1, images_active5_35_0_0};
static Animation anim_active5_35_0 = {&direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, NULL, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0, &direction_active5_35_0_0};
static Animation * anim_array_active5_35[1] = {&anim_active5_35_0};
static Animations anim_active5_35 = {1, &anim_array_active5_35[0]};
static bool anim_active5_35_initialized;
class Active5_35 : public Active
{
public:
    Active5_35(int x, int y) : Active(x, y, Active5_35_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 5", 8);
#endif
        this->animations = &anim_active5_35;
        if (!anim_active5_35_initialized) {
            anim_active5_35_initialized = true;
            images_active5_35_0_0[0] = get_internal_image_direct(419);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active5_35(int x, int y)
{
    return new (Active::pool.create()) Active5_35(x, y);
}
static Image* images_active7_36_0_0[1];
static Direction direction_active7_36_0_0 = {0, 50, 50, 0, 1, 1, images_active7_36_0_0};
static Animation anim_active7_36_0 = {&direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, NULL, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0, &direction_active7_36_0_0};
static Animation * anim_array_active7_36[1] = {&anim_active7_36_0};
static Animations anim_active7_36 = {1, &anim_array_active7_36[0]};
static bool anim_active7_36_initialized;
class Active7_36 : public Active
{
public:
    Active7_36(int x, int y) : Active(x, y, Active7_36_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 7", 8);
#endif
        this->animations = &anim_active7_36;
        if (!anim_active7_36_initialized) {
            anim_active7_36_initialized = true;
            images_active7_36_0_0[0] = get_internal_image_direct(430);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active7_36(int x, int y)
{
    return new (Active::pool.create()) Active7_36(x, y);
}
static Image* images_active8_37_0_0[1];
static Direction direction_active8_37_0_0 = {0, 50, 50, 0, 1, 1, images_active8_37_0_0};
static Animation anim_active8_37_0 = {&direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, NULL, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0, &direction_active8_37_0_0};
static Animation * anim_array_active8_37[1] = {&anim_active8_37_0};
static Animations anim_active8_37 = {1, &anim_array_active8_37[0]};
static bool anim_active8_37_initialized;
class Active8_37 : public Active
{
public:
    Active8_37(int x, int y) : Active(x, y, Active8_37_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 8", 8);
#endif
        this->animations = &anim_active8_37;
        if (!anim_active8_37_initialized) {
            anim_active8_37_initialized = true;
            images_active8_37_0_0[0] = get_internal_image_direct(431);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active8_37(int x, int y)
{
    return new (Active::pool.create()) Active8_37(x, y);
}
static Image* images_active9_38_0_0[2];
static Direction direction_active9_38_0_0 = {0, 50, 50, 0, -1, 2, images_active9_38_0_0};
static Animation anim_active9_38_0 = {&direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, NULL, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0, &direction_active9_38_0_0};
static Animation * anim_array_active9_38[1] = {&anim_active9_38_0};
static Animations anim_active9_38 = {1, &anim_array_active9_38[0]};
static bool anim_active9_38_initialized;
class Active9_38 : public Active
{
public:
    Active9_38(int x, int y) : Active(x, y, Active9_38_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 9", 8);
#endif
        this->animations = &anim_active9_38;
        if (!anim_active9_38_initialized) {
            anim_active9_38_initialized = true;
            images_active9_38_0_0[0] = get_internal_image_direct(731);
            images_active9_38_0_0[1] = get_internal_image_direct(732);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->values.set(1, 110);
        alterables->values.set(2, 260);
        alterables->values.set(3, 80);
    }
};
FrameObject * create_active9_38(int x, int y)
{
    return new (Active::pool.create()) Active9_38(x, y);
}
static Image* images_active10_39_0_0[2];
static Direction direction_active10_39_0_0 = {0, 50, 50, 0, -1, 2, images_active10_39_0_0};
static Animation anim_active10_39_0 = {&direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, NULL, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0, &direction_active10_39_0_0};
static Animation * anim_array_active10_39[1] = {&anim_active10_39_0};
static Animations anim_active10_39 = {1, &anim_array_active10_39[0]};
static bool anim_active10_39_initialized;
class Active10_39 : public Active
{
public:
    Active10_39(int x, int y) : Active(x, y, Active10_39_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 10", 9);
#endif
        this->animations = &anim_active10_39;
        if (!anim_active10_39_initialized) {
            anim_active10_39_initialized = true;
            images_active10_39_0_0[0] = get_internal_image_direct(437);
            images_active10_39_0_0[1] = get_internal_image_direct(436);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 51);
        create_alterables();
    }
};
FrameObject * create_active10_39(int x, int y)
{
    return new (Active::pool.create()) Active10_39(x, y);
}
class QuickBackdrop_40 : public QuickBackdrop
{
public:
    QuickBackdrop_40(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop", 14);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 168;
        color = Color(0, 0, 0);
        gradient_type = NONE_GRADIENT;
        outline = 0;
    }
};
FrameObject * create_quickbackdrop_40(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop_40(x, y);
}
static Image* images_active11_41_0_0[1];
static Direction direction_active11_41_0_0 = {0, 50, 50, 0, 1, 1, images_active11_41_0_0};
static Animation anim_active11_41_0 = {&direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, NULL, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0, &direction_active11_41_0_0};
static Animation * anim_array_active11_41[1] = {&anim_active11_41_0};
static Animations anim_active11_41 = {1, &anim_array_active11_41[0]};
static bool anim_active11_41_initialized;
class Active11_41 : public Active
{
public:
    Active11_41(int x, int y) : Active(x, y, Active11_41_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 11", 9);
#endif
        this->animations = &anim_active11_41;
        if (!anim_active11_41_initialized) {
            anim_active11_41_initialized = true;
            images_active11_41_0_0[0] = get_internal_image_direct(439);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active11_41(int x, int y)
{
    return new (Active::pool.create()) Active11_41(x, y);
}
static Image* images_rando_42_0_0[1];
static Direction direction_rando_42_0_0 = {0, 50, 50, 0, 1, 1, images_rando_42_0_0};
static Animation anim_rando_42_0 = {&direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, NULL, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0, &direction_rando_42_0_0};
static Animation * anim_array_rando_42[1] = {&anim_rando_42_0};
static Animations anim_rando_42 = {1, &anim_array_rando_42[0]};
static bool anim_rando_42_initialized;
class Rando_42 : public Active
{
public:
    Rando_42(int x, int y) : Active(x, y, Rando_42_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("rando", 5);
#endif
        this->animations = &anim_rando_42;
        if (!anim_rando_42_initialized) {
            anim_rando_42_initialized = true;
            images_rando_42_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_rando_42(int x, int y)
{
    return new (Active::pool.create()) Rando_42(x, y);
}
static Image* images_active13_43_0_0[2];
static Direction direction_active13_43_0_0 = {0, 0, 0, 0, 1, 2, images_active13_43_0_0};
static Animation anim_active13_43_0 = {&direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, NULL, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0, &direction_active13_43_0_0};
static Image* images_active13_43_1_0[1];
static Direction direction_active13_43_1_0 = {0, 50, 50, 0, 1, 1, images_active13_43_1_0};
static Animation anim_active13_43_1 = {&direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, NULL, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0, &direction_active13_43_1_0};
static Image* images_active13_43_2_0[1];
static Direction direction_active13_43_2_0 = {0, 50, 50, 0, -1, 1, images_active13_43_2_0};
static Animation anim_active13_43_2 = {&direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, NULL, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0, &direction_active13_43_2_0};
static Image* images_active13_43_3_0[1];
static Direction direction_active13_43_3_0 = {0, 50, 50, 0, 1, 1, images_active13_43_3_0};
static Animation anim_active13_43_3 = {&direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, NULL, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0, &direction_active13_43_3_0};
static Image* images_active13_43_5_0[1];
static Direction direction_active13_43_5_0 = {0, 50, 50, 0, -1, 1, images_active13_43_5_0};
static Animation anim_active13_43_5 = {&direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, NULL, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0, &direction_active13_43_5_0};
static Animation * anim_array_active13_43[6] = {&anim_active13_43_0, &anim_active13_43_1, &anim_active13_43_2, &anim_active13_43_3, NULL, &anim_active13_43_5};
static Animations anim_active13_43 = {6, &anim_array_active13_43[0]};
static bool anim_active13_43_initialized;
class Active13_43 : public Active
{
public:
    Active13_43(int x, int y) : Active(x, y, Active13_43_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 13", 9);
#endif
        set_visible(false);
        this->animations = &anim_active13_43;
        if (!anim_active13_43_initialized) {
            anim_active13_43_initialized = true;
            images_active13_43_0_0[0] = get_internal_image_direct(658);
            images_active13_43_0_0[1] = get_internal_image_direct(434);
            images_active13_43_1_0[0] = get_internal_image_direct(446);
            images_active13_43_2_0[0] = get_internal_image_direct(730);
            images_active13_43_3_0[0] = get_internal_image_direct(434);
            images_active13_43_5_0[0] = get_internal_image_direct(658);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        forced_animation = current_animation = APPEARING;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active13_43(int x, int y)
{
    return new (Active::pool.create()) Active13_43(x, y);
}
class String2_44 : public Text
{
public:
    String2_44(int x, int y) : Text(x, y, String2_44_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 640;
        height = 168;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_VCENTER;
        add_line(chowstring("CREATED AND DEVELOPED BY\r\nRob Welch", 35));
        add_line(chowstring("FEATURING THE MOTION CAPTURED PERFORMANCE OF\r\nTom Hanks", 55));
        add_line(chowstring("BASED ON A NAPKIN DOODLE BY\r\nMatt Dodds", 39));
        add_line(chowstring("LAWYER GUY'S SENIOR COOL PLAYTESTERS\r\nZmansjams\\Smajsnamz\r\nJon Dong Williams\r\nSpecs\r\nSoup and Sauce\r\nMoogs Moogerson", 116));
        add_line(chowstring("LAWYER GUY'S COOL PLAYTESTERS\r\nLames\r\nZachary Richardson\r\nLou\r\nNabil\r\nLiam Tilling\r\nSef The One Who Hates This Kind Of Game\r\nRd\r\nConditionBleen", 143));
        add_line(chowstring("LAWYER GUY'S PLAYTESTERS\r\nAniMitch", 34));
        add_line(chowstring("SPECIAL THANKS\r\nSebastian Janisz\r\nAlbin Hanberg\r\nMathias K\303\246rlev\r\nThe guy at the Florrigardy Hotel in Skye who mailed by backpack back to me after I left it on the side of a mountain", 182));
        add_line(chowstring("SOUNDTRACK\r\nLevel Music - 'Winds of Meido' by +TEK (soundcloud.com/plrusek-chan)\r\nMenu Music - Extremely Temporary Track by Rob Welch", 133));
        add_line(chowstring("SOUNDTRACK\r\nLevel Music - 'Winds of Meido' by +TEK (soundcloud.com/plrusek-chan)\r\nMenu Music - Extremely Temporary Track by Rob Welch", 133));
        add_line(chowstring("PLAYER\r\nYou!", 12));
        create_alterables();
    }
};
FrameObject * create_string2_44(int x, int y)
{
    return new (Text::pool.create()) String2_44(x, y);
}
static Image* images_active14_45_0_0[4];
static Direction direction_active14_45_0_0 = {0, 20, 20, 0, -1, 4, images_active14_45_0_0};
static Animation anim_active14_45_0 = {&direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, NULL, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0, &direction_active14_45_0_0};
static Animation * anim_array_active14_45[1] = {&anim_active14_45_0};
static Animations anim_active14_45 = {1, &anim_array_active14_45[0]};
static bool anim_active14_45_initialized;
class Active14_45 : public Active
{
public:
    Active14_45(int x, int y) : Active(x, y, Active14_45_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 14", 9);
#endif
        this->animations = &anim_active14_45;
        if (!anim_active14_45_initialized) {
            anim_active14_45_initialized = true;
            images_active14_45_0_0[0] = get_internal_image_direct(438);
            images_active14_45_0_0[1] = get_internal_image_direct(440);
            images_active14_45_0_0[2] = get_internal_image_direct(441);
            images_active14_45_0_0[3] = get_internal_image_direct(440);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active14_45(int x, int y)
{
    return new (Active::pool.create()) Active14_45(x, y);
}
static Image* images_camera_46_0_0[1];
static Direction direction_camera_46_0_0 = {0, 50, 50, 0, 1, 1, images_camera_46_0_0};
static Animation anim_camera_46_0 = {&direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, NULL, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0, &direction_camera_46_0_0};
static Animation * anim_array_camera_46[1] = {&anim_camera_46_0};
static Animations anim_camera_46 = {1, &anim_array_camera_46[0]};
static bool anim_camera_46_initialized;
class Camera_46 : public Active
{
public:
    Camera_46(int x, int y) : Active(x, y, Camera_46_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera", 6);
#endif
        set_visible(false);
        this->animations = &anim_camera_46;
        if (!anim_camera_46_initialized) {
            anim_camera_46_initialized = true;
            images_camera_46_0_0[0] = get_internal_image_direct(142);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camera_46(int x, int y)
{
    return new (Active::pool.create()) Camera_46(x, y);
}
static Image* images_camerachaser_47_0_0[1];
static Direction direction_camerachaser_47_0_0 = {0, 50, 50, 0, 1, 1, images_camerachaser_47_0_0};
static Animation anim_camerachaser_47_0 = {&direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, NULL, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0, &direction_camerachaser_47_0_0};
static Animation * anim_array_camerachaser_47[1] = {&anim_camerachaser_47_0};
static Animations anim_camerachaser_47 = {1, &anim_array_camerachaser_47[0]};
static bool anim_camerachaser_47_initialized;
class CameraChaser_47 : public Active
{
public:
    CameraChaser_47(int x, int y) : Active(x, y, CameraChaser_47_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("camera chaser", 13);
#endif
        set_visible(false);
        this->animations = &anim_camerachaser_47;
        if (!anim_camerachaser_47_initialized) {
            anim_camerachaser_47_initialized = true;
            images_camerachaser_47_0_0[0] = get_internal_image_direct(141);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_camerachaser_47(int x, int y)
{
    return new (Active::pool.create()) CameraChaser_47(x, y);
}
static Image* images_blockmaker_48_0_0[1];
static Direction direction_blockmaker_48_0_0 = {0, 50, 50, 0, 1, 1, images_blockmaker_48_0_0};
static Animation anim_blockmaker_48_0 = {&direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, NULL, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0, &direction_blockmaker_48_0_0};
static Animation * anim_array_blockmaker_48[1] = {&anim_blockmaker_48_0};
static Animations anim_blockmaker_48 = {1, &anim_array_blockmaker_48[0]};
static bool anim_blockmaker_48_initialized;
class Blockmaker_48 : public Active
{
public:
    Blockmaker_48(int x, int y) : Active(x, y, Blockmaker_48_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("blockmaker", 10);
#endif
        this->animations = &anim_blockmaker_48;
        if (!anim_blockmaker_48_initialized) {
            anim_blockmaker_48_initialized = true;
            images_blockmaker_48_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_blockmaker_48(int x, int y)
{
    return new (Active::pool.create()) Blockmaker_48(x, y);
}
static Image* images_roadmaker_49_0_0[1];
static Direction direction_roadmaker_49_0_0 = {0, 50, 50, 0, 1, 1, images_roadmaker_49_0_0};
static Animation anim_roadmaker_49_0 = {&direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, NULL, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0, &direction_roadmaker_49_0_0};
static Animation * anim_array_roadmaker_49[1] = {&anim_roadmaker_49_0};
static Animations anim_roadmaker_49 = {1, &anim_array_roadmaker_49[0]};
static bool anim_roadmaker_49_initialized;
class Roadmaker_49 : public Active
{
public:
    Roadmaker_49(int x, int y) : Active(x, y, Roadmaker_49_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("roadmaker", 9);
#endif
        this->animations = &anim_roadmaker_49;
        if (!anim_roadmaker_49_initialized) {
            anim_roadmaker_49_initialized = true;
            images_roadmaker_49_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_roadmaker_49(int x, int y)
{
    return new (Active::pool.create()) Roadmaker_49(x, y);
}
static Image* images_active15_50_0_0[1];
static Direction direction_active15_50_0_0 = {0, 50, 50, 0, 1, 1, images_active15_50_0_0};
static Animation anim_active15_50_0 = {&direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, NULL, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0, &direction_active15_50_0_0};
static Animation * anim_array_active15_50[1] = {&anim_active15_50_0};
static Animations anim_active15_50 = {1, &anim_array_active15_50[0]};
static bool anim_active15_50_initialized;
class Active15_50 : public Active
{
public:
    Active15_50(int x, int y) : Active(x, y, Active15_50_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 15", 9);
#endif
        this->animations = &anim_active15_50;
        if (!anim_active15_50_initialized) {
            anim_active15_50_initialized = true;
            images_active15_50_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active15_50(int x, int y)
{
    return new (Active::pool.create()) Active15_50(x, y);
}
static Image* images_roadlimit_51_0_0[1];
static Direction direction_roadlimit_51_0_0 = {0, 50, 50, 0, 1, 1, images_roadlimit_51_0_0};
static Animation anim_roadlimit_51_0 = {&direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, NULL, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0, &direction_roadlimit_51_0_0};
static Animation * anim_array_roadlimit_51[1] = {&anim_roadlimit_51_0};
static Animations anim_roadlimit_51 = {1, &anim_array_roadlimit_51[0]};
static bool anim_roadlimit_51_initialized;
class Roadlimit_51 : public Active
{
public:
    Roadlimit_51(int x, int y) : Active(x, y, Roadlimit_51_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("roadlimit", 9);
#endif
        this->animations = &anim_roadlimit_51;
        if (!anim_roadlimit_51_initialized) {
            anim_roadlimit_51_initialized = true;
            images_roadlimit_51_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_roadlimit_51(int x, int y)
{
    return new (Active::pool.create()) Roadlimit_51(x, y);
}
static Image* images_lginitpos_52_0_0[1];
static Direction direction_lginitpos_52_0_0 = {0, 50, 50, 0, 1, 1, images_lginitpos_52_0_0};
static Animation anim_lginitpos_52_0 = {&direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, NULL, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0, &direction_lginitpos_52_0_0};
static Animation * anim_array_lginitpos_52[1] = {&anim_lginitpos_52_0};
static Animations anim_lginitpos_52 = {1, &anim_array_lginitpos_52[0]};
static bool anim_lginitpos_52_initialized;
class Lginitpos_52 : public Active
{
public:
    Lginitpos_52(int x, int y) : Active(x, y, Lginitpos_52_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("lginitpos", 9);
#endif
        set_visible(false);
        this->animations = &anim_lginitpos_52;
        if (!anim_lginitpos_52_initialized) {
            anim_lginitpos_52_initialized = true;
            images_lginitpos_52_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_lginitpos_52(int x, int y)
{
    return new (Active::pool.create()) Lginitpos_52(x, y);
}
class Backdrop2_53 : public Backdrop
{
public:
    Backdrop2_53(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 2", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_2
        manager.frame->back_instances[BACK_ID_BACKDROP_2].push_back(this);
#endif
        image = get_internal_image(423);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop2_53(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop2_53(x, y);
}
class Backdrop3_54 : public Backdrop
{
public:
    Backdrop3_54(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 3", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_3
        manager.frame->back_instances[BACK_ID_BACKDROP_3].push_back(this);
#endif
        image = get_internal_image(751);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop3_54(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop3_54(x, y);
}
class Backdrop4_55 : public Backdrop
{
public:
    Backdrop4_55(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 4", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_4
        manager.frame->back_instances[BACK_ID_BACKDROP_4].push_back(this);
#endif
        image = get_internal_image(786);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop4_55(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop4_55(x, y);
}
class Backdrop5_56 : public Backdrop
{
public:
    Backdrop5_56(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 5", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_5
        manager.frame->back_instances[BACK_ID_BACKDROP_5].push_back(this);
#endif
        image = get_internal_image(512);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop5_56(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop5_56(x, y);
}
class Backdrop6_57 : public Backdrop
{
public:
    Backdrop6_57(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 6", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_6
        manager.frame->back_instances[BACK_ID_BACKDROP_6].push_back(this);
#endif
        image = get_internal_image(752);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop6_57(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop6_57(x, y);
}
class QuickBackdrop2_58 : public QuickBackdrop
{
public:
    QuickBackdrop2_58(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 2", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 30;
        image = get_internal_image(429);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop2_58(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop2_58(x, y);
}
class QuickBackdrop3_59 : public QuickBackdrop
{
public:
    QuickBackdrop3_59(int x, int y) : QuickBackdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Quick Backdrop 3", 16);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
        width = 640;
        height = 100;
        image = get_internal_image(421);
        outline = 0;
    }
};
FrameObject * create_quickbackdrop3_59(int x, int y)
{
    return new (QuickBackdrop::pool.create()) QuickBackdrop3_59(x, y);
}
class String3_60 : public Text
{
public:
    String3_60(int x, int y) : Text(x, y, String3_60_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 3", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy is a jumping and shooting action game, so make sure to jump and shoot whenever possible.", 99));
        create_alterables();
    }
};
FrameObject * create_string3_60(int x, int y)
{
    return new (Text::pool.create()) String3_60(x, y);
}
class String4_61 : public Text
{
public:
    String4_61(int x, int y) : Text(x, y, String4_61_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 4", 8);
#endif
        flags &= ~SCROLL;
        width = 176;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Two kinds of bonus lives are available. Play without dying, or beat the level as fast as possible and you'll be rewarded with extra lives periodically!", 151));
        create_alterables();
    }
};
FrameObject * create_string4_61(int x, int y)
{
    return new (Text::pool.create()) String4_61(x, y);
}
class String5_62 : public Text
{
public:
    String5_62(int x, int y) : Text(x, y, String5_62_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 5", 8);
#endif
        flags &= ~SCROLL;
        width = 178;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("No checkpoints remaining!", 25));
        create_alterables();
    }
};
FrameObject * create_string5_62(int x, int y)
{
    return new (Text::pool.create()) String5_62(x, y);
}
class Backdrop9_63 : public Backdrop
{
public:
    Backdrop9_63(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 9", 10);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_9
        manager.frame->back_instances[BACK_ID_BACKDROP_9].push_back(this);
#endif
        image = get_internal_image(428);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop9_63(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop9_63(x, y);
}
static Image* images_menudatastore_64_0_0[1];
static Direction direction_menudatastore_64_0_0 = {0, 50, 50, 0, 1, 1, images_menudatastore_64_0_0};
static Animation anim_menudatastore_64_0 = {&direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, NULL, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0, &direction_menudatastore_64_0_0};
static Animation * anim_array_menudatastore_64[1] = {&anim_menudatastore_64_0};
static Animations anim_menudatastore_64 = {1, &anim_array_menudatastore_64[0]};
static bool anim_menudatastore_64_initialized;
class MenuDataStore_64 : public Active
{
public:
    MenuDataStore_64(int x, int y) : Active(x, y, MenuDataStore_64_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MenuDataStore", 13);
#endif
        this->animations = &anim_menudatastore_64;
        if (!anim_menudatastore_64_initialized) {
            anim_menudatastore_64_initialized = true;
            images_menudatastore_64_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
        alterables->strings.set(0, str_play_0);
        alterables->strings.set(1, str_main_1);
        alterables->strings.set(2, str_edit_controls_2);
    }
};
FrameObject * create_menudatastore_64(int x, int y)
{
    return new (Active::pool.create()) MenuDataStore_64(x, y);
}
static Image* images_graphicdashtype_65_0_0[1];
static Direction direction_graphicdashtype_65_0_0 = {0, 50, 50, 0, 1, 1, images_graphicdashtype_65_0_0};
static Animation anim_graphicdashtype_65_0 = {&direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, NULL, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0, &direction_graphicdashtype_65_0_0};
static Image* images_graphicdashtype_65_1_0[1];
static Direction direction_graphicdashtype_65_1_0 = {0, 50, 50, 0, 1, 1, images_graphicdashtype_65_1_0};
static Animation anim_graphicdashtype_65_1 = {&direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, NULL, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0, &direction_graphicdashtype_65_1_0};
static Animation * anim_array_graphicdashtype_65[2] = {&anim_graphicdashtype_65_0, &anim_graphicdashtype_65_1};
static Animations anim_graphicdashtype_65 = {2, &anim_array_graphicdashtype_65[0]};
static bool anim_graphicdashtype_65_initialized;
class GraphicDashtype_65 : public Active
{
public:
    GraphicDashtype_65(int x, int y) : Active(x, y, GraphicDashtype_65_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("graphic-dashtype", 16);
#endif
        this->animations = &anim_graphicdashtype_65;
        if (!anim_graphicdashtype_65_initialized) {
            anim_graphicdashtype_65_initialized = true;
            images_graphicdashtype_65_0_0[0] = get_internal_image_direct(445);
            images_graphicdashtype_65_1_0[0] = get_internal_image_direct(444);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_graphicdashtype_65(int x, int y)
{
    return new (Active::pool.create()) GraphicDashtype_65(x, y);
}
static Image* images_active16_66_0_0[1];
static Direction direction_active16_66_0_0 = {0, 50, 50, 0, 1, 1, images_active16_66_0_0};
static Animation anim_active16_66_0 = {&direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, NULL, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0, &direction_active16_66_0_0};
static Animation * anim_array_active16_66[1] = {&anim_active16_66_0};
static Animations anim_active16_66 = {1, &anim_array_active16_66[0]};
static bool anim_active16_66_initialized;
class Active16_66 : public Active
{
public:
    Active16_66(int x, int y) : Active(x, y, Active16_66_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 16", 9);
#endif
        this->animations = &anim_active16_66;
        if (!anim_active16_66_initialized) {
            anim_active16_66_initialized = true;
            images_active16_66_0_0[0] = get_internal_image_direct(458);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active16_66(int x, int y)
{
    return new (Active::pool.create()) Active16_66(x, y);
}
static Image* images_active12_67_0_0[1];
static Direction direction_active12_67_0_0 = {0, 50, 50, 0, 1, 1, images_active12_67_0_0};
static Animation anim_active12_67_0 = {&direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, NULL, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0, &direction_active12_67_0_0};
static Animation * anim_array_active12_67[1] = {&anim_active12_67_0};
static Animations anim_active12_67 = {1, &anim_array_active12_67[0]};
static bool anim_active12_67_initialized;
class Active12_67 : public Active
{
public:
    Active12_67(int x, int y) : Active(x, y, Active12_67_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 12", 9);
#endif
        this->animations = &anim_active12_67;
        if (!anim_active12_67_initialized) {
            anim_active12_67_initialized = true;
            images_active12_67_0_0[0] = get_internal_image_direct(443);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active12_67(int x, int y)
{
    return new (Active::pool.create()) Active12_67(x, y);
}
static Image* images_active17_68_0_0[1];
static Direction direction_active17_68_0_0 = {0, 50, 50, 0, 1, 1, images_active17_68_0_0};
static Animation anim_active17_68_0 = {&direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, NULL, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0, &direction_active17_68_0_0};
static Animation * anim_array_active17_68[1] = {&anim_active17_68_0};
static Animations anim_active17_68 = {1, &anim_array_active17_68[0]};
static bool anim_active17_68_initialized;
class Active17_68 : public Active
{
public:
    Active17_68(int x, int y) : Active(x, y, Active17_68_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 17", 9);
#endif
        this->animations = &anim_active17_68;
        if (!anim_active17_68_initialized) {
            anim_active17_68_initialized = true;
            images_active17_68_0_0[0] = get_internal_image_direct(449);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active17_68(int x, int y)
{
    return new (Active::pool.create()) Active17_68(x, y);
}
static Image* images_graphicscreenshake_69_0_0[1];
static Direction direction_graphicscreenshake_69_0_0 = {0, 50, 50, 0, 1, 1, images_graphicscreenshake_69_0_0};
static Animation anim_graphicscreenshake_69_0 = {&direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, NULL, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0, &direction_graphicscreenshake_69_0_0};
static Image* images_graphicscreenshake_69_1_0[1];
static Direction direction_graphicscreenshake_69_1_0 = {0, 50, 50, 0, 1, 1, images_graphicscreenshake_69_1_0};
static Animation anim_graphicscreenshake_69_1 = {&direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, NULL, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0, &direction_graphicscreenshake_69_1_0};
static Animation * anim_array_graphicscreenshake_69[2] = {&anim_graphicscreenshake_69_0, &anim_graphicscreenshake_69_1};
static Animations anim_graphicscreenshake_69 = {2, &anim_array_graphicscreenshake_69[0]};
static bool anim_graphicscreenshake_69_initialized;
class GraphicScreenshake_69 : public Active
{
public:
    GraphicScreenshake_69(int x, int y) : Active(x, y, GraphicScreenshake_69_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("graphic-screenshake", 19);
#endif
        this->animations = &anim_graphicscreenshake_69;
        if (!anim_graphicscreenshake_69_initialized) {
            anim_graphicscreenshake_69_initialized = true;
            images_graphicscreenshake_69_0_0[0] = get_internal_image_direct(452);
            images_graphicscreenshake_69_1_0[0] = get_internal_image_direct(457);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_graphicscreenshake_69(int x, int y)
{
    return new (Active::pool.create()) GraphicScreenshake_69(x, y);
}
static Image* images_active20_70_0_0[1];
static Direction direction_active20_70_0_0 = {0, 50, 50, 0, 1, 1, images_active20_70_0_0};
static Animation anim_active20_70_0 = {&direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, NULL, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0, &direction_active20_70_0_0};
static Animation * anim_array_active20_70[1] = {&anim_active20_70_0};
static Animations anim_active20_70 = {1, &anim_array_active20_70[0]};
static bool anim_active20_70_initialized;
class Active20_70 : public Active
{
public:
    Active20_70(int x, int y) : Active(x, y, Active20_70_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 20", 9);
#endif
        this->animations = &anim_active20_70;
        if (!anim_active20_70_initialized) {
            anim_active20_70_initialized = true;
            images_active20_70_0_0[0] = get_internal_image_direct(433);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active20_70(int x, int y)
{
    return new (Active::pool.create()) Active20_70(x, y);
}
static Image* images_active21_71_0_0[1];
static Direction direction_active21_71_0_0 = {0, 50, 50, 0, 1, 1, images_active21_71_0_0};
static Animation anim_active21_71_0 = {&direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, NULL, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0, &direction_active21_71_0_0};
static Animation * anim_array_active21_71[1] = {&anim_active21_71_0};
static Animations anim_active21_71 = {1, &anim_array_active21_71[0]};
static bool anim_active21_71_initialized;
class Active21_71 : public Active
{
public:
    Active21_71(int x, int y) : Active(x, y, Active21_71_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 21", 9);
#endif
        this->animations = &anim_active21_71;
        if (!anim_active21_71_initialized) {
            anim_active21_71_initialized = true;
            images_active21_71_0_0[0] = get_internal_image_direct(435);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active21_71(int x, int y)
{
    return new (Active::pool.create()) Active21_71(x, y);
}
static Image* images_active22_72_0_0[1];
static Direction direction_active22_72_0_0 = {0, 50, 50, 0, 1, 1, images_active22_72_0_0};
static Animation anim_active22_72_0 = {&direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, NULL, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0, &direction_active22_72_0_0};
static Animation * anim_array_active22_72[1] = {&anim_active22_72_0};
static Animations anim_active22_72 = {1, &anim_array_active22_72[0]};
static bool anim_active22_72_initialized;
class Active22_72 : public Active
{
public:
    Active22_72(int x, int y) : Active(x, y, Active22_72_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 22", 9);
#endif
        this->animations = &anim_active22_72;
        if (!anim_active22_72_initialized) {
            anim_active22_72_initialized = true;
            images_active22_72_0_0[0] = get_internal_image_direct(442);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active22_72(int x, int y)
{
    return new (Active::pool.create()) Active22_72(x, y);
}
class Backdrop10_73 : public Backdrop
{
public:
    Backdrop10_73(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop 10", 11);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP_10
        manager.frame->back_instances[BACK_ID_BACKDROP_10].push_back(this);
#endif
        image = get_internal_image(341);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop10_73(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop10_73(x, y);
}
static Image* images_active23_74_0_0[1];
static Direction direction_active23_74_0_0 = {0, 50, 50, 0, 1, 1, images_active23_74_0_0};
static Animation anim_active23_74_0 = {&direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, NULL, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0, &direction_active23_74_0_0};
static Animation * anim_array_active23_74[1] = {&anim_active23_74_0};
static Animations anim_active23_74 = {1, &anim_array_active23_74[0]};
static bool anim_active23_74_initialized;
class Active23_74 : public Active
{
public:
    Active23_74(int x, int y) : Active(x, y, Active23_74_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 23", 9);
#endif
        this->animations = &anim_active23_74;
        if (!anim_active23_74_initialized) {
            anim_active23_74_initialized = true;
            images_active23_74_0_0[0] = get_internal_image_direct(456);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active23_74(int x, int y)
{
    return new (Active::pool.create()) Active23_74(x, y);
}
static Image* images_active24_75_0_0[1];
static Direction direction_active24_75_0_0 = {0, 50, 50, 0, 1, 1, images_active24_75_0_0};
static Animation anim_active24_75_0 = {&direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, NULL, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0, &direction_active24_75_0_0};
static Animation * anim_array_active24_75[1] = {&anim_active24_75_0};
static Animations anim_active24_75 = {1, &anim_array_active24_75[0]};
static bool anim_active24_75_initialized;
class Active24_75 : public Active
{
public:
    Active24_75(int x, int y) : Active(x, y, Active24_75_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 24", 9);
#endif
        this->animations = &anim_active24_75;
        if (!anim_active24_75_initialized) {
            anim_active24_75_initialized = true;
            images_active24_75_0_0[0] = get_internal_image_direct(450);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active24_75(int x, int y)
{
    return new (Active::pool.create()) Active24_75(x, y);
}
static Image* images_active25_76_0_0[4];
static Direction direction_active25_76_0_0 = {0, 20, 20, 0, -1, 4, images_active25_76_0_0};
static Animation anim_active25_76_0 = {&direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, NULL, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0, &direction_active25_76_0_0};
static Animation * anim_array_active25_76[1] = {&anim_active25_76_0};
static Animations anim_active25_76 = {1, &anim_array_active25_76[0]};
static bool anim_active25_76_initialized;
class Active25_76 : public Active
{
public:
    Active25_76(int x, int y) : Active(x, y, Active25_76_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 25", 9);
#endif
        this->animations = &anim_active25_76;
        if (!anim_active25_76_initialized) {
            anim_active25_76_initialized = true;
            images_active25_76_0_0[0] = get_internal_image_direct(463);
            images_active25_76_0_0[1] = get_internal_image_direct(464);
            images_active25_76_0_0[2] = get_internal_image_direct(465);
            images_active25_76_0_0[3] = get_internal_image_direct(464);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active25_76(int x, int y)
{
    return new (Active::pool.create()) Active25_76(x, y);
}
static Image* images_musicslider_77_0_0[1];
static Direction direction_musicslider_77_0_0 = {0, 50, 50, 0, 1, 1, images_musicslider_77_0_0};
static Animation anim_musicslider_77_0 = {&direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, NULL, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0, &direction_musicslider_77_0_0};
static Animation * anim_array_musicslider_77[1] = {&anim_musicslider_77_0};
static Animations anim_musicslider_77 = {1, &anim_array_musicslider_77[0]};
static bool anim_musicslider_77_initialized;
class MusicSlider_77 : public Active
{
public:
    MusicSlider_77(int x, int y) : Active(x, y, MusicSlider_77_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MusicSlider", 11);
#endif
        this->animations = &anim_musicslider_77;
        if (!anim_musicslider_77_initialized) {
            anim_musicslider_77_initialized = true;
            images_musicslider_77_0_0[0] = get_internal_image_direct(462);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_musicslider_77(int x, int y)
{
    return new (Active::pool.create()) MusicSlider_77(x, y);
}
static Image* images_musicsliderindicator_78_0_0[1];
static Direction direction_musicsliderindicator_78_0_0 = {0, 50, 50, 0, 1, 1, images_musicsliderindicator_78_0_0};
static Animation anim_musicsliderindicator_78_0 = {&direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, NULL, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0, &direction_musicsliderindicator_78_0_0};
static Animation * anim_array_musicsliderindicator_78[1] = {&anim_musicsliderindicator_78_0};
static Animations anim_musicsliderindicator_78 = {1, &anim_array_musicsliderindicator_78[0]};
static bool anim_musicsliderindicator_78_initialized;
class MusicSliderIndicator_78 : public Active
{
public:
    MusicSliderIndicator_78(int x, int y) : Active(x, y, MusicSliderIndicator_78_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("MusicSliderIndicator", 20);
#endif
        this->animations = &anim_musicsliderindicator_78;
        if (!anim_musicsliderindicator_78_initialized) {
            anim_musicsliderindicator_78_initialized = true;
            images_musicsliderindicator_78_0_0[0] = get_internal_image_direct(462);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_musicsliderindicator_78(int x, int y)
{
    return new (Active::pool.create()) MusicSliderIndicator_78(x, y);
}
static Image* images_active18_79_0_0[1];
static Direction direction_active18_79_0_0 = {0, 50, 50, 0, 1, 1, images_active18_79_0_0};
static Animation anim_active18_79_0 = {&direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, NULL, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0, &direction_active18_79_0_0};
static Image* images_active18_79_1_0[1];
static Direction direction_active18_79_1_0 = {0, 50, 50, 0, 1, 1, images_active18_79_1_0};
static Animation anim_active18_79_1 = {&direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, NULL, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0, &direction_active18_79_1_0};
static Animation * anim_array_active18_79[2] = {&anim_active18_79_0, &anim_active18_79_1};
static Animations anim_active18_79 = {2, &anim_array_active18_79[0]};
static bool anim_active18_79_initialized;
class Active18_79 : public Active
{
public:
    Active18_79(int x, int y) : Active(x, y, Active18_79_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 18", 9);
#endif
        this->animations = &anim_active18_79;
        if (!anim_active18_79_initialized) {
            anim_active18_79_initialized = true;
            images_active18_79_0_0[0] = get_internal_image_direct(1207);
            images_active18_79_1_0[0] = get_internal_image_direct(423);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active18_79(int x, int y)
{
    return new (Active::pool.create()) Active18_79(x, y);
}
static Image* images_active26_80_0_0[4];
static Direction direction_active26_80_0_0 = {0, 20, 20, 0, -1, 4, images_active26_80_0_0};
static Animation anim_active26_80_0 = {&direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, NULL, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0, &direction_active26_80_0_0};
static Animation * anim_array_active26_80[1] = {&anim_active26_80_0};
static Animations anim_active26_80 = {1, &anim_array_active26_80[0]};
static bool anim_active26_80_initialized;
class Active26_80 : public Active
{
public:
    Active26_80(int x, int y) : Active(x, y, Active26_80_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 26", 9);
#endif
        this->animations = &anim_active26_80;
        if (!anim_active26_80_initialized) {
            anim_active26_80_initialized = true;
            images_active26_80_0_0[0] = get_internal_image_direct(489);
            images_active26_80_0_0[1] = get_internal_image_direct(494);
            images_active26_80_0_0[2] = get_internal_image_direct(497);
            images_active26_80_0_0[3] = get_internal_image_direct(494);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active26_80(int x, int y)
{
    return new (Active::pool.create()) Active26_80(x, y);
}
class String6_81 : public Text
{
public:
    String6_81(int x, int y) : Text(x, y, String6_81_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 6", 8);
#endif
        flags &= ~SCROLL;
        width = 176;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("No overlay", 10));
        create_alterables();
    }
};
FrameObject * create_string6_81(int x, int y)
{
    return new (Text::pool.create()) String6_81(x, y);
}
static Image* images_active6_82_0_0[1];
static Direction direction_active6_82_0_0 = {0, 50, 50, 0, 1, 1, images_active6_82_0_0};
static Animation anim_active6_82_0 = {&direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, NULL, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0, &direction_active6_82_0_0};
static Image* images_active6_82_1_0[1];
static Direction direction_active6_82_1_0 = {0, 50, 50, 0, 1, 1, images_active6_82_1_0};
static Animation anim_active6_82_1 = {&direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, NULL, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0, &direction_active6_82_1_0};
static Image* images_active6_82_2_0[1];
static Direction direction_active6_82_2_0 = {0, 50, 50, 0, 1, 1, images_active6_82_2_0};
static Animation anim_active6_82_2 = {&direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, NULL, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0, &direction_active6_82_2_0};
static Animation * anim_array_active6_82[3] = {&anim_active6_82_0, &anim_active6_82_1, &anim_active6_82_2};
static Animations anim_active6_82 = {3, &anim_array_active6_82[0]};
static bool anim_active6_82_initialized;
class Active6_82 : public Active
{
public:
    Active6_82(int x, int y) : Active(x, y, Active6_82_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 6", 8);
#endif
        this->animations = &anim_active6_82;
        if (!anim_active6_82_initialized) {
            anim_active6_82_initialized = true;
            images_active6_82_0_0[0] = get_internal_image_direct(921);
            images_active6_82_1_0[0] = get_internal_image_direct(499);
            images_active6_82_2_0[0] = get_internal_image_direct(932);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active6_82(int x, int y)
{
    return new (Active::pool.create()) Active6_82(x, y);
}
static Image* images_active19_83_0_0[1];
static Direction direction_active19_83_0_0 = {0, 50, 50, 0, 1, 1, images_active19_83_0_0};
static Animation anim_active19_83_0 = {&direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, NULL, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0, &direction_active19_83_0_0};
static Animation * anim_array_active19_83[1] = {&anim_active19_83_0};
static Animations anim_active19_83 = {1, &anim_array_active19_83[0]};
static bool anim_active19_83_initialized;
class Active19_83 : public Active
{
public:
    Active19_83(int x, int y) : Active(x, y, Active19_83_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 19", 9);
#endif
        this->animations = &anim_active19_83;
        if (!anim_active19_83_initialized) {
            anim_active19_83_initialized = true;
            images_active19_83_0_0[0] = get_internal_image_direct(858);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active19_83(int x, int y)
{
    return new (Active::pool.create()) Active19_83(x, y);
}
static Image* images_active27_84_0_0[1];
static Direction direction_active27_84_0_0 = {0, 50, 50, 0, 1, 1, images_active27_84_0_0};
static Animation anim_active27_84_0 = {&direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, NULL, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0, &direction_active27_84_0_0};
static Animation * anim_array_active27_84[1] = {&anim_active27_84_0};
static Animations anim_active27_84 = {1, &anim_array_active27_84[0]};
static bool anim_active27_84_initialized;
class Active27_84 : public Active
{
public:
    Active27_84(int x, int y) : Active(x, y, Active27_84_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 27", 9);
#endif
        this->animations = &anim_active27_84;
        if (!anim_active27_84_initialized) {
            anim_active27_84_initialized = true;
            images_active27_84_0_0[0] = get_internal_image_direct(509);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active27_84(int x, int y)
{
    return new (Active::pool.create()) Active27_84(x, y);
}
static Image* images_active28_85_0_0[1];
static Direction direction_active28_85_0_0 = {0, 50, 50, 0, 1, 1, images_active28_85_0_0};
static Animation anim_active28_85_0 = {&direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, NULL, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0, &direction_active28_85_0_0};
static Animation * anim_array_active28_85[1] = {&anim_active28_85_0};
static Animations anim_active28_85 = {1, &anim_array_active28_85[0]};
static bool anim_active28_85_initialized;
class Active28_85 : public Active
{
public:
    Active28_85(int x, int y) : Active(x, y, Active28_85_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 28", 9);
#endif
        this->animations = &anim_active28_85;
        if (!anim_active28_85_initialized) {
            anim_active28_85_initialized = true;
            images_active28_85_0_0[0] = get_internal_image_direct(508);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active28_85(int x, int y)
{
    return new (Active::pool.create()) Active28_85(x, y);
}
static Image* images_active29_86_0_0[1];
static Direction direction_active29_86_0_0 = {0, 50, 50, 0, 1, 1, images_active29_86_0_0};
static Animation anim_active29_86_0 = {&direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, NULL, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0, &direction_active29_86_0_0};
static Animation * anim_array_active29_86[1] = {&anim_active29_86_0};
static Animations anim_active29_86 = {1, &anim_array_active29_86[0]};
static bool anim_active29_86_initialized;
class Active29_86 : public Active
{
public:
    Active29_86(int x, int y) : Active(x, y, Active29_86_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 29", 9);
#endif
        this->animations = &anim_active29_86;
        if (!anim_active29_86_initialized) {
            anim_active29_86_initialized = true;
            images_active29_86_0_0[0] = get_internal_image_direct(924);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active29_86(int x, int y)
{
    return new (Active::pool.create()) Active29_86(x, y);
}
static Image* images_active30_87_0_0[1];
static Direction direction_active30_87_0_0 = {0, 50, 50, 0, 1, 1, images_active30_87_0_0};
static Animation anim_active30_87_0 = {&direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, NULL, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0, &direction_active30_87_0_0};
static Image* images_active30_87_1_0[1];
static Direction direction_active30_87_1_0 = {0, 50, 50, 0, 1, 1, images_active30_87_1_0};
static Animation anim_active30_87_1 = {&direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, NULL, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0, &direction_active30_87_1_0};
static Animation * anim_array_active30_87[2] = {&anim_active30_87_0, &anim_active30_87_1};
static Animations anim_active30_87 = {2, &anim_array_active30_87[0]};
static bool anim_active30_87_initialized;
class Active30_87 : public Active
{
public:
    Active30_87(int x, int y) : Active(x, y, Active30_87_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 30", 9);
#endif
        this->animations = &anim_active30_87;
        if (!anim_active30_87_initialized) {
            anim_active30_87_initialized = true;
            images_active30_87_0_0[0] = get_internal_image_direct(922);
            images_active30_87_1_0[0] = get_internal_image_direct(926);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active30_87(int x, int y)
{
    return new (Active::pool.create()) Active30_87(x, y);
}
static Image* images_active31_88_0_0[1];
static Direction direction_active31_88_0_0 = {0, 50, 50, 0, 1, 1, images_active31_88_0_0};
static Animation anim_active31_88_0 = {&direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, NULL, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0, &direction_active31_88_0_0};
static Animation * anim_array_active31_88[1] = {&anim_active31_88_0};
static Animations anim_active31_88 = {1, &anim_array_active31_88[0]};
static bool anim_active31_88_initialized;
class Active31_88 : public Active
{
public:
    Active31_88(int x, int y) : Active(x, y, Active31_88_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 31", 9);
#endif
        this->animations = &anim_active31_88;
        if (!anim_active31_88_initialized) {
            anim_active31_88_initialized = true;
            images_active31_88_0_0[0] = get_internal_image_direct(929);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active31_88(int x, int y)
{
    return new (Active::pool.create()) Active31_88(x, y);
}
class String7_89 : public Text
{
public:
    String7_89(int x, int y) : Text(x, y, String7_89_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 7", 8);
#endif
        flags &= ~SCROLL;
        width = 235;
        height = 93;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("No ", 3));
        create_alterables();
    }
};
FrameObject * create_string7_89(int x, int y)
{
    return new (Text::pool.create()) String7_89(x, y);
}
static Image* images_active32_90_0_0[1];
static Direction direction_active32_90_0_0 = {0, 50, 50, 0, 1, 1, images_active32_90_0_0};
static Animation anim_active32_90_0 = {&direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, NULL, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0, &direction_active32_90_0_0};
static Animation * anim_array_active32_90[1] = {&anim_active32_90_0};
static Animations anim_active32_90 = {1, &anim_array_active32_90[0]};
static bool anim_active32_90_initialized;
class Active32_90 : public Active
{
public:
    Active32_90(int x, int y) : Active(x, y, Active32_90_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 32", 9);
#endif
        this->animations = &anim_active32_90;
        if (!anim_active32_90_initialized) {
            anim_active32_90_initialized = true;
            images_active32_90_0_0[0] = get_internal_image_direct(1031);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active32_90(int x, int y)
{
    return new (Active::pool.create()) Active32_90(x, y);
}
class String8_91 : public Text
{
public:
    String8_91(int x, int y) : Text(x, y, String8_91_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 8", 8);
#endif
        flags &= ~SCROLL;
        width = 317;
        height = 21;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_RIGHT | ALIGN_TOP;
        add_line(chowstring("Build 425 (03/05/2021) - 'Electric Forest'", 42));
        create_alterables();
    }
};
FrameObject * create_string8_91(int x, int y)
{
    return new (Text::pool.create()) String8_91(x, y);
}
static Image* images_active33_92_0_0[8];
static Direction direction_active33_92_0_0 = {0, 50, 50, 0, -1, 8, images_active33_92_0_0};
static Animation anim_active33_92_0 = {&direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, NULL, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0, &direction_active33_92_0_0};
static Animation * anim_array_active33_92[1] = {&anim_active33_92_0};
static Animations anim_active33_92 = {1, &anim_array_active33_92[0]};
static bool anim_active33_92_initialized;
class Active33_92 : public Active
{
public:
    Active33_92(int x, int y) : Active(x, y, Active33_92_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 33", 9);
#endif
        this->animations = &anim_active33_92;
        if (!anim_active33_92_initialized) {
            anim_active33_92_initialized = true;
            images_active33_92_0_0[0] = get_internal_image_direct(1238);
            images_active33_92_0_0[1] = get_internal_image_direct(1243);
            images_active33_92_0_0[2] = get_internal_image_direct(1279);
            images_active33_92_0_0[3] = get_internal_image_direct(1282);
            images_active33_92_0_0[4] = get_internal_image_direct(1283);
            images_active33_92_0_0[5] = get_internal_image_direct(1284);
            images_active33_92_0_0[6] = get_internal_image_direct(1285);
            images_active33_92_0_0[7] = get_internal_image_direct(1332);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active33_92(int x, int y)
{
    return new (Active::pool.create()) Active33_92(x, y);
}
static Image* images_active34_93_0_0[8];
static Direction direction_active34_93_0_0 = {0, 50, 50, 0, -1, 8, images_active34_93_0_0};
static Animation anim_active34_93_0 = {&direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, NULL, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0, &direction_active34_93_0_0};
static Animation * anim_array_active34_93[1] = {&anim_active34_93_0};
static Animations anim_active34_93 = {1, &anim_array_active34_93[0]};
static bool anim_active34_93_initialized;
class Active34_93 : public Active
{
public:
    Active34_93(int x, int y) : Active(x, y, Active34_93_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 34", 9);
#endif
        this->animations = &anim_active34_93;
        if (!anim_active34_93_initialized) {
            anim_active34_93_initialized = true;
            images_active34_93_0_0[0] = get_internal_image_direct(1424);
            images_active34_93_0_0[1] = get_internal_image_direct(1514);
            images_active34_93_0_0[2] = get_internal_image_direct(1515);
            images_active34_93_0_0[3] = get_internal_image_direct(1517);
            images_active34_93_0_0[4] = get_internal_image_direct(1518);
            images_active34_93_0_0[5] = get_internal_image_direct(1516);
            images_active34_93_0_0[6] = get_internal_image_direct(1519);
            images_active34_93_0_0[7] = get_internal_image_direct(1520);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active34_93(int x, int y)
{
    return new (Active::pool.create()) Active34_93(x, y);
}
static Image* images_active_94_0_0[1];
static Direction direction_active_94_0_0 = {0, 50, 50, 0, 1, 1, images_active_94_0_0};
static Animation anim_active_94_0 = {&direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, NULL, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0, &direction_active_94_0_0};
static Animation * anim_array_active_94[1] = {&anim_active_94_0};
static Animations anim_active_94 = {1, &anim_array_active_94[0]};
static bool anim_active_94_initialized;
class Active_94 : public Active
{
public:
    Active_94(int x, int y) : Active(x, y, Active_94_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_94;
        if (!anim_active_94_initialized) {
            anim_active_94_initialized = true;
            images_active_94_0_0[0] = get_internal_image_direct(1513);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_94(int x, int y)
{
    return new (Active::pool.create()) Active_94(x, y);
}
static Image* images_notregular_95_1_0[4];
static Direction direction_notregular_95_1_0 = {0, 12, 12, 0, -1, 4, images_notregular_95_1_0};
static Image* images_notregular_95_1_16[4];
static Direction direction_notregular_95_1_16 = {16, 12, 12, 0, -1, 4, images_notregular_95_1_16};
static Animation anim_notregular_95_1 = {&direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, NULL, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, &direction_notregular_95_1_16, NULL, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0, &direction_notregular_95_1_0};
static Image* images_notregular_95_7_0[1];
static Direction direction_notregular_95_7_0 = {0, 50, 50, 0, 1, 1, images_notregular_95_7_0};
static Image* images_notregular_95_7_16[1];
static Direction direction_notregular_95_7_16 = {16, 50, 50, 0, 1, 1, images_notregular_95_7_16};
static Animation anim_notregular_95_7 = {&direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, NULL, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, &direction_notregular_95_7_16, NULL, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0, &direction_notregular_95_7_0};
static Image* images_notregular_95_8_0[2];
static Direction direction_notregular_95_8_0 = {0, 50, 50, 0, -1, 2, images_notregular_95_8_0};
static Image* images_notregular_95_8_16[2];
static Direction direction_notregular_95_8_16 = {16, 50, 50, 0, -1, 2, images_notregular_95_8_16};
static Animation anim_notregular_95_8 = {&direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, NULL, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, &direction_notregular_95_8_16, NULL, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0, &direction_notregular_95_8_0};
static Image* images_notregular_95_12_0[19];
static Direction direction_notregular_95_12_0 = {0, 20, 20, 0, 9, 19, images_notregular_95_12_0};
static Animation anim_notregular_95_12 = {&direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, NULL, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0, &direction_notregular_95_12_0};
static Image* images_notregular_95_13_0[10];
static Direction direction_notregular_95_13_0 = {0, 25, 25, 0, 1, 10, images_notregular_95_13_0};
static Animation anim_notregular_95_13 = {&direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, NULL, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0, &direction_notregular_95_13_0};
static Image* images_notregular_95_14_0[2];
static Direction direction_notregular_95_14_0 = {0, 50, 50, 0, 1, 2, images_notregular_95_14_0};
static Animation anim_notregular_95_14 = {&direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, NULL, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0, &direction_notregular_95_14_0};
static Image* images_notregular_95_15_0[2];
static Direction direction_notregular_95_15_0 = {0, 3, 3, 0, 1, 2, images_notregular_95_15_0};
static Image* images_notregular_95_15_16[2];
static Direction direction_notregular_95_15_16 = {16, 3, 3, 0, 1, 2, images_notregular_95_15_16};
static Animation anim_notregular_95_15 = {&direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, NULL, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, &direction_notregular_95_15_16, NULL, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0, &direction_notregular_95_15_0};
static Image* images_notregular_95_16_0[4];
static Direction direction_notregular_95_16_0 = {0, 12, 12, 0, -1, 4, images_notregular_95_16_0};
static Image* images_notregular_95_16_16[4];
static Direction direction_notregular_95_16_16 = {16, 12, 12, 0, -1, 4, images_notregular_95_16_16};
static Animation anim_notregular_95_16 = {&direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, NULL, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, &direction_notregular_95_16_16, NULL, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0, &direction_notregular_95_16_0};
static Image* images_notregular_95_17_0[1];
static Direction direction_notregular_95_17_0 = {0, 50, 50, 0, 1, 1, images_notregular_95_17_0};
static Image* images_notregular_95_17_16[1];
static Direction direction_notregular_95_17_16 = {16, 50, 50, 0, 1, 1, images_notregular_95_17_16};
static Animation anim_notregular_95_17 = {&direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, NULL, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, &direction_notregular_95_17_16, NULL, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0, &direction_notregular_95_17_0};
static Image* images_notregular_95_18_0[2];
static Direction direction_notregular_95_18_0 = {0, 50, 50, 0, -1, 2, images_notregular_95_18_0};
static Image* images_notregular_95_18_16[2];
static Direction direction_notregular_95_18_16 = {16, 50, 50, 0, -1, 2, images_notregular_95_18_16};
static Animation anim_notregular_95_18 = {&direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, NULL, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, &direction_notregular_95_18_16, NULL, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0, &direction_notregular_95_18_0};
static Image* images_notregular_95_19_0[1];
static Direction direction_notregular_95_19_0 = {0, 50, 50, 0, 1, 1, images_notregular_95_19_0};
static Image* images_notregular_95_19_16[1];
static Direction direction_notregular_95_19_16 = {16, 50, 50, 0, 1, 1, images_notregular_95_19_16};
static Animation anim_notregular_95_19 = {&direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, NULL, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, &direction_notregular_95_19_16, NULL, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0, &direction_notregular_95_19_0};
static Image* images_notregular_95_20_0[1];
static Direction direction_notregular_95_20_0 = {0, 50, 50, 0, 1, 1, images_notregular_95_20_0};
static Image* images_notregular_95_20_16[1];
static Direction direction_notregular_95_20_16 = {16, 50, 50, 0, 1, 1, images_notregular_95_20_16};
static Animation anim_notregular_95_20 = {&direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, NULL, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, &direction_notregular_95_20_16, NULL, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0, &direction_notregular_95_20_0};
static Image* images_notregular_95_21_0[2];
static Direction direction_notregular_95_21_0 = {0, 18, 18, 0, 1, 2, images_notregular_95_21_0};
static Image* images_notregular_95_21_16[2];
static Direction direction_notregular_95_21_16 = {16, 18, 18, 0, 3, 2, images_notregular_95_21_16};
static Animation anim_notregular_95_21 = {&direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, NULL, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, &direction_notregular_95_21_16, NULL, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0, &direction_notregular_95_21_0};
static Animation * anim_array_notregular_95[22] = {NULL, &anim_notregular_95_1, NULL, NULL, NULL, NULL, NULL, &anim_notregular_95_7, &anim_notregular_95_8, NULL, NULL, NULL, &anim_notregular_95_12, &anim_notregular_95_13, &anim_notregular_95_14, &anim_notregular_95_15, &anim_notregular_95_16, &anim_notregular_95_17, &anim_notregular_95_18, &anim_notregular_95_19, &anim_notregular_95_20, &anim_notregular_95_21};
static Animations anim_notregular_95 = {22, &anim_array_notregular_95[0]};
static bool anim_notregular_95_initialized;
class NOTREGULAR_95 : public Active
{
public:
    NOTREGULAR_95(int x, int y) : Active(x, y, NOTREGULAR_95_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("NOT REGULAR", 11);
#endif
        this->animations = &anim_notregular_95;
        if (!anim_notregular_95_initialized) {
            anim_notregular_95_initialized = true;
            images_notregular_95_1_0[0] = get_internal_image_direct(662);
            images_notregular_95_1_0[1] = get_internal_image_direct(736);
            images_notregular_95_1_0[2] = get_internal_image_direct(603);
            images_notregular_95_1_0[3] = get_internal_image_direct(736);
            images_notregular_95_1_16[0] = get_internal_image_direct(120);
            images_notregular_95_1_16[1] = get_internal_image_direct(121);
            images_notregular_95_1_16[2] = get_internal_image_direct(122);
            images_notregular_95_1_16[3] = get_internal_image_direct(124);
            images_notregular_95_7_0[0] = get_internal_image_direct(165);
            images_notregular_95_7_16[0] = get_internal_image_direct(160);
            images_notregular_95_8_0[0] = get_internal_image_direct(165);
            images_notregular_95_8_0[1] = get_internal_image_direct(166);
            images_notregular_95_8_16[0] = get_internal_image_direct(167);
            images_notregular_95_8_16[1] = get_internal_image_direct(161);
            images_notregular_95_12_0[0] = get_internal_image_direct(56);
            images_notregular_95_12_0[1] = get_internal_image_direct(56);
            images_notregular_95_12_0[2] = get_internal_image_direct(56);
            images_notregular_95_12_0[3] = get_internal_image_direct(56);
            images_notregular_95_12_0[4] = get_internal_image_direct(56);
            images_notregular_95_12_0[5] = get_internal_image_direct(56);
            images_notregular_95_12_0[6] = get_internal_image_direct(56);
            images_notregular_95_12_0[7] = get_internal_image_direct(56);
            images_notregular_95_12_0[8] = get_internal_image_direct(56);
            images_notregular_95_12_0[9] = get_internal_image_direct(56);
            images_notregular_95_12_0[10] = get_internal_image_direct(56);
            images_notregular_95_12_0[11] = get_internal_image_direct(56);
            images_notregular_95_12_0[12] = get_internal_image_direct(56);
            images_notregular_95_12_0[13] = get_internal_image_direct(56);
            images_notregular_95_12_0[14] = get_internal_image_direct(56);
            images_notregular_95_12_0[15] = get_internal_image_direct(56);
            images_notregular_95_12_0[16] = get_internal_image_direct(56);
            images_notregular_95_12_0[17] = get_internal_image_direct(57);
            images_notregular_95_12_0[18] = get_internal_image_direct(56);
            images_notregular_95_13_0[0] = get_internal_image_direct(55);
            images_notregular_95_13_0[1] = get_internal_image_direct(55);
            images_notregular_95_13_0[2] = get_internal_image_direct(55);
            images_notregular_95_13_0[3] = get_internal_image_direct(55);
            images_notregular_95_13_0[4] = get_internal_image_direct(55);
            images_notregular_95_13_0[5] = get_internal_image_direct(55);
            images_notregular_95_13_0[6] = get_internal_image_direct(55);
            images_notregular_95_13_0[7] = get_internal_image_direct(55);
            images_notregular_95_13_0[8] = get_internal_image_direct(55);
            images_notregular_95_13_0[9] = get_internal_image_direct(55);
            images_notregular_95_14_0[0] = get_internal_image_direct(80);
            images_notregular_95_14_0[1] = get_internal_image_direct(105);
            images_notregular_95_15_0[0] = get_internal_image_direct(154);
            images_notregular_95_15_0[1] = get_internal_image_direct(154);
            images_notregular_95_15_16[0] = get_internal_image_direct(163);
            images_notregular_95_15_16[1] = get_internal_image_direct(163);
            images_notregular_95_16_0[0] = get_internal_image_direct(155);
            images_notregular_95_16_0[1] = get_internal_image_direct(156);
            images_notregular_95_16_0[2] = get_internal_image_direct(157);
            images_notregular_95_16_0[3] = get_internal_image_direct(158);
            images_notregular_95_16_16[0] = get_internal_image_direct(123);
            images_notregular_95_16_16[1] = get_internal_image_direct(126);
            images_notregular_95_16_16[2] = get_internal_image_direct(125);
            images_notregular_95_16_16[3] = get_internal_image_direct(127);
            images_notregular_95_17_0[0] = get_internal_image_direct(164);
            images_notregular_95_17_16[0] = get_internal_image_direct(18);
            images_notregular_95_18_0[0] = get_internal_image_direct(168);
            images_notregular_95_18_0[1] = get_internal_image_direct(168);
            images_notregular_95_18_16[0] = get_internal_image_direct(162);
            images_notregular_95_18_16[1] = get_internal_image_direct(162);
            images_notregular_95_19_0[0] = get_internal_image_direct(129);
            images_notregular_95_19_16[0] = get_internal_image_direct(130);
            images_notregular_95_20_0[0] = get_internal_image_direct(128);
            images_notregular_95_20_16[0] = get_internal_image_direct(131);
            images_notregular_95_21_0[0] = get_internal_image_direct(16);
            images_notregular_95_21_0[1] = get_internal_image_direct(76);
            images_notregular_95_21_16[0] = get_internal_image_direct(19);
            images_notregular_95_21_16[1] = get_internal_image_direct(77);
        }
        active_flags |= TRANSPARENT;
        animation = WALKING;
        current_animation = animation;
        initialize_active(false);
        set_direction(0);
        create_alterables();
    }
};
FrameObject * create_notregular_95(int x, int y)
{
    return new (Active::pool.create()) NOTREGULAR_95(x, y);
}
class Backdrop_96 : public Backdrop
{
public:
    Backdrop_96(int x, int y) : Backdrop(x, y, BACKGROUND_TYPE)
    {
#ifndef NDEBUG
        name = chowstring("Backdrop", 8);
#endif
        flags |= BACKGROUND;
        flags |= BACKGROUND_COL;
#ifdef BACK_ID_BACKDROP
        manager.frame->back_instances[BACK_ID_BACKDROP].push_back(this);
#endif
        image = get_internal_image(1428);
        width = image->width;
        height = image->height;
    }
};
FrameObject * create_backdrop_96(int x, int y)
{
    return new (Backdrop::pool.create()) Backdrop_96(x, y);
}
static Image* images_bgshadow4_97_0_0[1];
static Direction direction_bgshadow4_97_0_0 = {0, 50, 50, 0, 1, 1, images_bgshadow4_97_0_0};
static Animation anim_bgshadow4_97_0 = {&direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, NULL, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0, &direction_bgshadow4_97_0_0};
static Animation * anim_array_bgshadow4_97[1] = {&anim_bgshadow4_97_0};
static Animations anim_bgshadow4_97 = {1, &anim_array_bgshadow4_97[0]};
static bool anim_bgshadow4_97_initialized;
class BgShadow4_97 : public Active
{
public:
    BgShadow4_97(int x, int y) : Active(x, y, BgShadow4_97_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("bg-shadow 4", 11);
#endif
        this->animations = &anim_bgshadow4_97;
        if (!anim_bgshadow4_97_initialized) {
            anim_bgshadow4_97_initialized = true;
            images_bgshadow4_97_0_0[0] = get_internal_image_direct(607);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 105);
        create_alterables();
    }
};
FrameObject * create_bgshadow4_97(int x, int y)
{
    return new (Active::pool.create()) BgShadow4_97(x, y);
}
static Image* images_bgshadow3_98_0_0[1];
static Direction direction_bgshadow3_98_0_0 = {0, 50, 50, 0, 1, 1, images_bgshadow3_98_0_0};
static Animation anim_bgshadow3_98_0 = {&direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, NULL, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0, &direction_bgshadow3_98_0_0};
static Animation * anim_array_bgshadow3_98[1] = {&anim_bgshadow3_98_0};
static Animations anim_bgshadow3_98 = {1, &anim_array_bgshadow3_98[0]};
static bool anim_bgshadow3_98_initialized;
class BgShadow3_98 : public Active
{
public:
    BgShadow3_98(int x, int y) : Active(x, y, BgShadow3_98_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("bg-shadow 3", 11);
#endif
        this->animations = &anim_bgshadow3_98;
        if (!anim_bgshadow3_98_initialized) {
            anim_bgshadow3_98_initialized = true;
            images_bgshadow3_98_0_0[0] = get_internal_image_direct(609);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 105);
        create_alterables();
    }
};
FrameObject * create_bgshadow3_98(int x, int y)
{
    return new (Active::pool.create()) BgShadow3_98(x, y);
}
static Image* images_bgshadow3_99_0_0[1];
static Direction direction_bgshadow3_99_0_0 = {0, 50, 50, 0, 1, 1, images_bgshadow3_99_0_0};
static Animation anim_bgshadow3_99_0 = {&direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, NULL, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0, &direction_bgshadow3_99_0_0};
static Animation * anim_array_bgshadow3_99[1] = {&anim_bgshadow3_99_0};
static Animations anim_bgshadow3_99 = {1, &anim_array_bgshadow3_99[0]};
static bool anim_bgshadow3_99_initialized;
class BgShadow3_99 : public Active
{
public:
    BgShadow3_99(int x, int y) : Active(x, y, BgShadow3_99_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("bg-shadow3", 10);
#endif
        this->animations = &anim_bgshadow3_99;
        if (!anim_bgshadow3_99_initialized) {
            anim_bgshadow3_99_initialized = true;
            images_bgshadow3_99_0_0[0] = get_internal_image_direct(309);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        blend_color = Color(255, 255, 255, 105);
        create_alterables();
    }
};
FrameObject * create_bgshadow3_99(int x, int y)
{
    return new (Active::pool.create()) BgShadow3_99(x, y);
}
static Image* images_active2_100_0_0[1];
static Direction direction_active2_100_0_0 = {0, 50, 50, 0, 1, 1, images_active2_100_0_0};
static Animation anim_active2_100_0 = {&direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, NULL, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0, &direction_active2_100_0_0};
static Animation * anim_array_active2_100[1] = {&anim_active2_100_0};
static Animations anim_active2_100 = {1, &anim_array_active2_100[0]};
static bool anim_active2_100_initialized;
class Active2_100 : public Active
{
public:
    Active2_100(int x, int y) : Active(x, y, Active2_100_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_100;
        if (!anim_active2_100_initialized) {
            anim_active2_100_initialized = true;
            images_active2_100_0_0[0] = get_internal_image_direct(1427);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_100(int x, int y)
{
    return new (Active::pool.create()) Active2_100(x, y);
}
